searchNodes=[{"doc":"SDK to facilitate Elixir integrations with the Stark Infra API v2.","ref":"StarkInfra.html","title":"StarkInfra","type":"module"},{"doc":"The Organization struct is an authentication entity for the SDK that represents your entire Organization, being able to access any Workspace underneath it and even create new Workspaces. Only a legal representative of your organization can register or change the Organization credentials. All requests to the Stark Infra API must be authenticated via an SDK user, which must have been previously created at the Stark Infra website [ https://web.sandbox.starkinfra.com] or [ https://web.starkinfra.com] before you can use it in this SDK. Organizations may be passed as the user parameter on each request or may be defined as the default user at the start (See README). If you are accessing a specific Workspace using Organization credentials, you should specify the workspace ID when building the Organization struct or by request, using the Organization.replace(organization, workspace_id) method, which creates a copy of the organization struct with the altered workspace ID. If you are listing or creating new Workspaces, the workspace_id should be nil. Parameters (required): :environment [string]: environment where the organization is being used. ex: &quot;sandbox&quot; or &quot;production&quot; :id [string]: unique id required to identify organization. ex: &quot;5656565656565656&quot; :private_key [EllipticCurve.Organization()]: PEM string of the private key linked to the organization. ex: &quot;-----BEGIN PUBLIC KEY----- MFYwEAYHKoZIzj0CAQYFK4EEAAoDQgAEyTIHK6jYuik6ktM9FIF3yCEYzpLjO5X/ tqDioGM+R2RyW0QEo+1DG8BrUf4UXHSvCjtQ0yLppygz23z0yPZYfw== -----END PUBLIC KEY-----&quot; Parameters (optional): :workspace_id [string]: unique id of the accessed Workspace, if any. ex: nil or &quot;4848484848484848&quot;","ref":"StarkInfra.html#organization/1","title":"StarkInfra.organization/1","type":"function"},{"doc":"The Project struct is an authentication entity for the SDK that is permanently linked to a specific Workspace. All requests to the Stark Infra API must be authenticated via an SDK user, which must have been previously created at the Stark Infra website [ https://web.sandbox.starkinfra.com] or [ https://web.starkinfra.com] before you can use it in this SDK. Projects may be passed as the user parameter on each request or may be defined as the default user at the start (See README). Parameters (required): :environment [string]: environment where the project is being used. ex: &quot;sandbox&quot; or &quot;production&quot; :id [string]: unique id required to identify project. ex: &quot;5656565656565656&quot; :private_key [string]: PEM string of the private key linked to the project. ex: &quot;-----BEGIN PUBLIC KEY----- MFYwEAYHKoZIzj0CAQYFK4EEAAoDQgAEyTIHK6jYuik6ktM9FIF3yCEYzpLjO5X/ tqDioGM+R2RyW0QEo+1DG8BrUf4UXHSvCjtQ0yLppygz23z0yPZYfw== -----END PUBLIC KEY-----&quot;","ref":"StarkInfra.html#project/1","title":"StarkInfra.project/1","type":"function"},{"doc":"Groups CreditNote related functions","ref":"StarkInfra.CreditNote.html","title":"StarkInfra.CreditNote","type":"module"},{"doc":"CreditNotes are used to generate CCB contracts between you and your customers. When you initialize a CreditNote, the entity will not be automatically created in the Stark Infra API. The 'create' function sends the structs to the Stark Infra API and returns the list of created structs. Parameters (required): :template_id [string]: ID of the contract template on which the CreditNote will be based. ex: &quot;0123456789101112&quot; :name [string]: credit receiver's full name. ex: &quot;Anthony Edward Stark&quot; :tax_id [string]: credit receiver's tax ID (CPF or CNPJ). ex: &quot;20.018.183/0001-80&quot; :nominal_amount [integer]: amount in cents transferred to the credit receiver, before deductions. ex: 11234 (= R$ 112.34) :scheduled [Date Datetime or string]: Date or datetime of transfer execution. ex: ~D[2020-03-10] :invoices [list of Invoice structs or maps]: list of Invoice structs to be created and sent to the credit receiver. ex: [%{ due: &quot;2023-06-25&quot;, amount: 120000, fine: 10, interest: 2}] :payment [Transfer struct or map]: payment entity to be created and sent to the credit receiver. ex: %{ bankCode: &quot;00000000&quot;, branchCode: &quot;1234&quot;, accountNumber: &quot;129340-1&quot;, name: &quot;Jamie Lannister&quot;, taxId: &quot;012.345.678-90&quot;} :signers [list of Signer objects or maps]: name and e-mail of signers that sign the contract. ex: [%{&quot;name&quot;: &quot;Tony Stark&quot;, &quot;contact&quot;: &quot;tony@starkindustries.com&quot;, &quot;method&quot;: &quot;link&quot;}] :external_id [string]: a string that must be unique among all your CreditNotes, used to avoid resource duplication. ex: “my-internal-id-123456” :street_line_1 [string]: credit receiver main address. ex: &quot;Av. Paulista, 200&quot; :street_line_2 [string]: credit receiver address complement. ex: &quot;Apto. 123&quot; :district [string]: credit receiver address district / neighbourhood. ex: &quot;Bela Vista&quot; :city [string]: credit receiver address city. ex: &quot;Rio de Janeiro&quot; :state_code [string]: credit receiver address state. ex: &quot;GO&quot; :zip_code [string]: credit receiver address zip code. ex: &quot;01311-200&quot; Parameters (conditionally required): :payment_type [string]: payment type, inferred from the payment parameter if it is not a dictionary. ex: &quot;transfer&quot; Parameters (optional): :rebate_amount [integer, default 0]: credit analysis fee deducted from lent amount. ex: 11234 (= R$ 112.34) :tags [list of strings, default []]: list of strings for reference when searching for CreditNotes. ex: [&quot;employees&quot;, &quot;monthly&quot;] Attributes (return-only): :id [string]: unique id returned when the CreditNote is created. ex: &quot;5656565656565656&quot; :amount [integer]: CreditNote value in cents. ex: 1234 (= R$ 12.34) :expiration [integer]: time interval in seconds between due date and expiration date. ex 123456789 :document_id [string]: ID of the signed document to execute this CreditNote. ex: &quot;4545454545454545&quot; :status [string]: current status of the CreditNote. ex: &quot;canceled&quot;, &quot;created&quot;, &quot;expired&quot;, &quot;failed&quot;, &quot;processing&quot;, &quot;signed&quot;, &quot;success&quot; :transaction_ids [list of strings]: ledger transaction ids linked to this CreditNote. ex: [&quot;19827356981273&quot;] :workspace_id [string]: ID of the Workspace that generated this CreditNote. ex: &quot;4545454545454545&quot; :tax_amount [integer]: tax amount included in the CreditNote. ex: 100 :interest [float]: yearly effective interest rate of the CreditNote, in percentage. ex: 12.5 :created [DateTime]: creation DateTime for the CreditNote. ex: ~U[2020-3-10 10:30:0:0] :updated [DateTime]: latest update DateTime for the CreditNote. ex: ~U[2020-3-10 10:30:0:0]","ref":"StarkInfra.CreditNote.html#__struct__/0","title":"StarkInfra.CreditNote.__struct__/0","type":"function"},{"doc":"Same as cancel(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.CreditNote.html#cancel!/2","title":"StarkInfra.CreditNote.cancel!/2","type":"function"},{"doc":"Cancel a CreditNote entity previously created in the Stark Infra API Parameters (required): :id [string]: id of the CreditNote to be canceled Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: canceled CreditNote struct","ref":"StarkInfra.CreditNote.html#cancel/2","title":"StarkInfra.CreditNote.cancel/2","type":"function"},{"doc":"Same as create(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.CreditNote.html#create!/2","title":"StarkInfra.CreditNote.create!/2","type":"function"},{"doc":"Send a list of CreditNote structs for creation in the Stark Infra API Parameters (required): :notes [list of CreditNote structs]: list of CreditNote structs to be created in the API Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of CreditNote structs with updated attributes","ref":"StarkInfra.CreditNote.html#create/2","title":"StarkInfra.CreditNote.create/2","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.CreditNote.html#get!/2","title":"StarkInfra.CreditNote.get!/2","type":"function"},{"doc":"Receive a single CreditNote struct previously created in the Stark Infra API by its id Parameters (required): :id [string]: struct's unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: CreditNote struct with updated attributes","ref":"StarkInfra.CreditNote.html#get/2","title":"StarkInfra.CreditNote.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.CreditNote.html#page!/1","title":"StarkInfra.CreditNote.page!/1","type":"function"},{"doc":"Receive a list of up to 100 CreditNote structs previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your requests. Options: :cursor [string, default nil]: cursor returned on the previous page function call :limit [integer, default 100]: maximum number of structs to be retrieved. It must be an integer between 1 and 100. ex: 50 :after [Date or string, default nil] Date filter for structs created only after specified date. ex: ~D[2020-3-10] :before [Date or string, default nil] Date filter for structs created only before specified date. ex: ~D(2020-3-10] :status [string, default nil]: filter for status of retrieved structs. Options: “canceled”, “created”, “expired”, “failed”, “processing”, “signed”, “success”. :tags [list of strings, default []]: tags to filter retrieved structs. ex: [&quot;tony&quot;, &quot;stark&quot;] :ids [list of strings, default []]: list of ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of CreditNote structs with updated attributes cursor to retrieve the next page of CreditNote structs","ref":"StarkInfra.CreditNote.html#page/1","title":"StarkInfra.CreditNote.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.CreditNote.html#query!/1","title":"StarkInfra.CreditNote.query!/1","type":"function"},{"doc":"Receive a stream of CreditNote structs previously created in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil] date filter for structs created only after specified date. ex: ~D[2020, 3, 10] :before [Date or string, default nil] date filter for structs created only before specified date. ex: ~D[2020, 3, 10] :status [string, default nil]: filter for status of retrieved structs. Options: “canceled”, “created”, “expired”, “failed”, “processing”, “signed”, “success”. :tags [list of strings, default []]: tags to filter retrieved structs. ex: [&quot;tony&quot;, &quot;stark&quot;] :ids [list of strings, default []]: list of ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of CreditNote structs with updated attributes","ref":"StarkInfra.CreditNote.html#query/1","title":"StarkInfra.CreditNote.query/1","type":"function"},{"doc":"","ref":"StarkInfra.CreditNote.html#t:t/0","title":"StarkInfra.CreditNote.t/0","type":"type"},{"doc":"Groups Invoice related functions","ref":"StarkInfra.CreditNote.Invoice.html","title":"StarkInfra.CreditNote.Invoice","type":"module"},{"doc":"When you initialize an Invoice struct, the entity will not be automatically sent to the Stark Infra API. The 'create' function sends the structs to the Stark Infra API and returns the list of created structs. To create scheduled Invoices, which will display the discount, interest, etc. on the final users banking interface, use dates instead of datetimes on the &quot;due&quot; and &quot;discounts&quot; fields. Parameters (required): :amount [integer]: Invoice value in cents. Minimum = 0 (any value will be accepted). ex: 1234 (= R$ 12.34) :due [DateTime, Date or string, default now + 2 days]: Invoice due date in UTC ISO format. ex: ~U[2021-03-26 19:32:35.418698Z] for immediate invoices and ~D[2020-10-28] for scheduled invoices Parameters (optional): :expiration [integer, default 59 days]: time interval in seconds between due date and expiration date. ex 123456789 :fine [float, default 0.0]: Invoice fine for overdue payment in %. ex: 2.5 :interest [float, default 0.0]: Invoice monthly interest for overdue payment in %. ex: 5.2 :tags [list of strings, default nil]: list of strings for tagging :descriptions [list of Descriptions or maps, default nil]: list of Descriptions or maps with &quot;key&quot;:string and (optional) &quot;value&quot;:string pairs Attributes (return-only): :id [string, default nil]: unique id returned when Invoice is created. ex: &quot;5656565656565656&quot; :tax_id [string]: payer tax ID (CPF or CNPJ) with or without formatting. ex: &quot;01234567890&quot; or &quot;20.018.183/0001-80&quot; :name [string]: payer name. ex: &quot;Iron Infra S.A.&quot; :pdf [string]: public Invoice PDF URL. ex: &quot; https://invoice.starkbank.com/pdf/d454fa4e524441c1b0c1a729457ed9d8&quot; :link [string]: public Invoice webpage URL. ex: &quot; https://my-workspace.sandbox.starkbank.com/invoicelink/d454fa4e524441c1b0c1a729457ed9d8&quot; :nominal_amount [integer]: Invoice emission value in cents (will change if invoice is updated, but not if it's paid). ex: 400000 :fine_amount [integer]: Invoice fine value calculated over nominal_amount. ex: 20000 :interest_amount [integer]: Invoice interest value calculated over nominal_amount. ex: 10000 :discount_amount [integer]: Invoice discount value calculated over nominal_amount. ex: 3000 :discounts [list of Discounts or maps, default nil]: list of Discounts or maps with &quot;percentage&quot;:float and &quot;due&quot;:string pairs :brcode [string]: BR Code for the Invoice payment. ex: &quot;00020101021226800014br.gov.bcb.pix2558invoice.starkbank.com/f5333103-3279-4db2-8389-5efe335ba93d5204000053039865802BR5913Arya Stark6009Sao Paulo6220051656565656565656566304A9A0&quot; :status [string]: current Invoice status. ex: &quot;registered&quot; or &quot;paid&quot; :fee [integer]: fee charged by this Invoice. ex: 200 (= R$ 2.00) :transaction_ids [list of strings]: ledger transaction ids linked to this Invoice (if there are more than one, all but the first are reversals or failed reversal chargebacks). ex: [&quot;19827356981273&quot;] :created [DateTime]: creation DateTime for the CreditNote. ex: ~U[2020-3-10 10:30:0:0] :updated [DateTime]: latest update DateTime for the CreditNote. ex: ~U[2020-3-10 10:30:0:0]","ref":"StarkInfra.CreditNote.Invoice.html#__struct__/0","title":"StarkInfra.CreditNote.Invoice.__struct__/0","type":"function"},{"doc":"","ref":"StarkInfra.CreditNote.Invoice.html#t:t/0","title":"StarkInfra.CreditNote.Invoice.t/0","type":"type"},{"doc":"Groups Description related functions","ref":"StarkInfra.CreditNote.Invoice.Description.html","title":"StarkInfra.CreditNote.Invoice.Description","type":"module"},{"doc":"Invoice description information. Parameters (required): :key [string]: Description for the value. ex: &quot;Taxes&quot; Parameters (optional): :value [string, nil]: amount related to the described key. ex: &quot;R$100,00&quot;","ref":"StarkInfra.CreditNote.Invoice.Description.html#__struct__/0","title":"StarkInfra.CreditNote.Invoice.Description.__struct__/0","type":"function"},{"doc":"","ref":"StarkInfra.CreditNote.Invoice.Description.html#t:t/0","title":"StarkInfra.CreditNote.Invoice.Description.t/0","type":"type"},{"doc":"Groups Discount related functions","ref":"StarkInfra.CreditNote.Invoice.Discount.html","title":"StarkInfra.CreditNote.Invoice.Discount","type":"module"},{"doc":"Invoice discount information. Parameters (required): :percentage [float]: percentage of discount applied until specified due date :due [DateTime, Date or string]: due datetime for the discount","ref":"StarkInfra.CreditNote.Invoice.Discount.html#__struct__/0","title":"StarkInfra.CreditNote.Invoice.Discount.__struct__/0","type":"function"},{"doc":"","ref":"StarkInfra.CreditNote.Invoice.Discount.html#t:t/0","title":"StarkInfra.CreditNote.Invoice.Discount.t/0","type":"type"},{"doc":"Groups CreditNote.Log related functions","ref":"StarkInfra.CreditNote.Log.html","title":"StarkInfra.CreditNote.Log","type":"module"},{"doc":"Every time an CreditNote entity is updated, a corresponding creditnote.Log is generated for the entity. This log is never generated by the user, but it can be retrieved to check additional information on the CreditNote. Attributes: :id [string]: unique id returned when the log is created. ex: &quot;5656565656565656&quot; :note [CreditNote]: CreditNote entity to which the log refers to. :errors [list of strings]: list of errors linked to this CreditNote event :type [string]: type of the CreditNote event which triggered the log creation. Options: “canceled”, “created”, “expired”, “failed”, “refunded”, “registered”, “sending”, “sent”, “signed”, “success”. :created [DateTime, default nil]: creation DateTime for the CreditNote. ex: ~U[2020-3-10 10:30:0:0]","ref":"StarkInfra.CreditNote.Log.html#__struct__/0","title":"StarkInfra.CreditNote.Log.__struct__/0","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.CreditNote.Log.html#get!/2","title":"StarkInfra.CreditNote.Log.get!/2","type":"function"},{"doc":"Receive a single CreditNote.Log struct previously created by the Stark Infra API by its id Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Parameters (optional): :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: CreditNote.Log struct with updated attributes","ref":"StarkInfra.CreditNote.Log.html#get/2","title":"StarkInfra.CreditNote.Log.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.CreditNote.Log.html#page!/1","title":"StarkInfra.CreditNote.Log.page!/1","type":"function"},{"doc":"Receive a list of up to 100 CreditNote.Log structs previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your requests. Options: :cursor [string, default nil]: cursor returned on the previous page function call :limit [integer, default 100]: maximum number of structs to be retrieved. It must be an integer between 1 and 100. ex: 50 :after [Date or string, default nil] date filter for structs created only after specified date. ex: ~D[2020, 3, 10] :before [Date or string, default nil] date filter for structs created only before specified date. ex: ~D[2020, 3, 10] :types [list of strings, default []]: filter for log event types. Options: “canceled”, “created”, “expired”, “failed”, “refunded”, “registered”, “sending”, “sent”, “signed”, “success”. :note_ids [list of strings, default []]: list of CreditNote ids to filter logs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of CreditNote.Log structs with updated attributes cursor to retrieve the next page of CreditNote.Log structs","ref":"StarkInfra.CreditNote.Log.html#page/1","title":"StarkInfra.CreditNote.Log.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.CreditNote.Log.html#query!/1","title":"StarkInfra.CreditNote.Log.query!/1","type":"function"},{"doc":"Receive a stream of CreditNote.Log structs previously created in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil] date filter for structs created only after specified date. ex: ~D[2020, 3, 10] :before [Date or string, default nil] date filter for structs created only before specified date. ex: ~D[2020, 3, 10] :types [list of strings, default []]: filter for log event types. Options: “canceled”, “created”, “expired”, “failed”, “refunded”, “registered”, “sending”, “sent”, “signed”, “success”. :note_ids [list of strings, default []]: list of CreditNote ids to filter logs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of CreditNote.Log structs with updated attributes","ref":"StarkInfra.CreditNote.Log.html#query/1","title":"StarkInfra.CreditNote.Log.query/1","type":"function"},{"doc":"","ref":"StarkInfra.CreditNote.Log.html#t:t/0","title":"StarkInfra.CreditNote.Log.t/0","type":"type"},{"doc":"Groups Signer related functions","ref":"StarkInfra.CreditNote.Signer.html","title":"StarkInfra.CreditNote.Signer","type":"module"},{"doc":"CreditNote signer's information. Parameters (required): :name [string]: signer's name. ex: &quot;Tony Stark&quot; :contact [string]: signer's contact information. ex: &quot;tony@starkindustries.com&quot; :method [string]: delivery method for the contract. ex: &quot;link&quot;","ref":"StarkInfra.CreditNote.Signer.html#__struct__/0","title":"StarkInfra.CreditNote.Signer.__struct__/0","type":"function"},{"doc":"","ref":"StarkInfra.CreditNote.Signer.html#t:t/0","title":"StarkInfra.CreditNote.Signer.t/0","type":"type"},{"doc":"Groups Transfer related functions","ref":"StarkInfra.CreditNote.Transfer.html","title":"StarkInfra.CreditNote.Transfer","type":"module"},{"doc":"CreditNote signer's information. Parameters (required): :name [string]: receiver full name. ex: &quot;Anthony Edward Stark&quot; :tax_id [string]: receiver tax ID (CPF or CNPJ) with or without formatting. ex: &quot;01234567890&quot; or &quot;20.018.183/0001-80&quot; :bank_code [string]: code of the receiver Bank institution in Brazil. :branch_code [string]: receiver Bank account branch. Use '-' in case there is a verifier digit. ex: &quot;1357-9&quot; :account_number [string]: Receiver Bank account number. Use '-' before the verifier digit. ex: &quot;876543-2&quot; Options: :account_type [string, default &quot;checking&quot;]: Receiver Bank account type. This parameter only has effect on Pix Transfers. ex: &quot;checking&quot;, &quot;savings&quot;, &quot;salary&quot; or &quot;payment&quot; :scheduled [Date, DateTime or string, default now]: date or datetime when the transfer will be processed. May be pushed to next business day if necessary. ex: ~U[2020-03-26 19:32:35.418698Z] :tags [list of strings]: list of strings for reference when searching for transfers. ex: [&quot;employees&quot;, &quot;monthly&quot;] Attributes (return-only): :id [string, default nil]: unique id returned when Transfer is created. ex: &quot;5656565656565656&quot; :amount [integer]: amount in cents to be transferred. ex: 1234 (= R$ 12.34) :status [string, default nil]: current transfer status. ex: &quot;success&quot; or &quot;failed&quot;","ref":"StarkInfra.CreditNote.Transfer.html#__struct__/0","title":"StarkInfra.CreditNote.Transfer.__struct__/0","type":"function"},{"doc":"","ref":"StarkInfra.CreditNote.Transfer.html#t:t/0","title":"StarkInfra.CreditNote.Transfer.t/0","type":"type"},{"doc":"","ref":"StarkInfra.Error.html","title":"StarkInfra.Error","type":"module"},{"doc":"Error generated on interactions with the API If the error code is: &quot;internalServerError&quot;: the API has run into an internal error. If you ever stumble upon this one, rest assured that the development team is already rushing in to fix the mistake and get you back up to speed. &quot;unknownException&quot;: a request encounters an error that has not been sent by the API, such as connectivity problems. any other binary: the API has detected a mistake in your request Attributes: :code [string]: defines de error code. ex: &quot;invalidCredentials&quot; :message [string]: explains the detected error. ex: &quot;Provided digital signature in the header Access-Signature does not check out.&quot;","ref":"StarkInfra.Error.html#__struct__/0","title":"StarkInfra.Error.__struct__/0","type":"function"},{"doc":"","ref":"StarkInfra.Error.html#t:t/0","title":"StarkInfra.Error.t/0","type":"type"},{"doc":"Groups Webhook-Event related functions","ref":"StarkInfra.Event.html","title":"StarkInfra.Event","type":"module"},{"doc":"An Event is the notification received from the subscription to the Webhook. Events cannot be created, but may be retrieved from the Stark Infra API to list all generated updates on entities. Attributes: :id [string]: unique id returned when the event is created. ex: &quot;5656565656565656&quot; :log [Log]: a Log struct from one the subscription services (PixRequest.Log, PixReversal.Log, PixKey.log) :created [DateTime]: creation datetime for the notification event. ex: ~U[2020-03-26 19:32:35.418698Z] :is_delivered [bool]: true if the event has been successfully delivered to the user url. ex: false :subscription [string]: service that triggered this event. ex: &quot;transfer&quot;, &quot;utility-payment&quot; :workspace_id [string]: ID of the Workspace that generated this event. Mostly used when multiple Workspaces have Webhooks registered to the same endpoint. ex: &quot;4545454545454545&quot;","ref":"StarkInfra.Event.html#__struct__/0","title":"StarkInfra.Event.__struct__/0","type":"function"},{"doc":"Same as delete(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.Event.html#delete!/2","title":"StarkInfra.Event.delete!/2","type":"function"},{"doc":"Delete a list of notification Event entities previously created in the Stark Infra API Parameters (required): id [string]: Event unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: deleted Event struct","ref":"StarkInfra.Event.html#delete/2","title":"StarkInfra.Event.delete/2","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.Event.html#get!/2","title":"StarkInfra.Event.get!/2","type":"function"},{"doc":"Receive a single notification Event struct previously created in the Stark Infra API by passing its id Parameters (required): id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: Event struct with updated attributes","ref":"StarkInfra.Event.html#get/2","title":"StarkInfra.Event.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.Event.html#page!/1","title":"StarkInfra.Event.page!/1","type":"function"},{"doc":"Receive a list of up to 100 Event structs previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your requests. Options: :cursor [string, default nil]: cursor returned on the previous page function call :limit [integer, default 100]: maximum number of structs to be retrieved. Max = 100. ex: 35 :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :is_delivered [bool, default nil]: filter successfully delivered events. ex: true or false :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of Event structs with updated attributes and cursor to retrieve the next page of Event structs","ref":"StarkInfra.Event.html#page/1","title":"StarkInfra.Event.page/1","type":"function"},{"doc":"Same as parse(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.Event.html#parse!/1","title":"StarkInfra.Event.parse!/1","type":"function"},{"doc":"Create a single Event struct from a content string received from a handler listening at the request url. If the provided digital signature does not check out with the StarkInfra public key, a starkinfra.error.InvalidSignatureError will be raised. Parameters (required): :content [string]: response content from request received at user endpoint (not parsed) :signature [string]: base-64 digital signature received at response header &quot;Digital-Signature&quot; Options: cache_pid [PID, default nil]: PID of the process that holds the public key cache, returned on previous parses. If not provided, a new cache process will be generated. :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: Parsed Resource object","ref":"StarkInfra.Event.html#parse/1","title":"StarkInfra.Event.parse/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.Event.html#query!/1","title":"StarkInfra.Event.query!/1","type":"function"},{"doc":"Receive a stream of notification Event structs previously created in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :is_delivered [bool, default nil]: filter successfully delivered events. ex: true or false :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of Event structs with updated attributes","ref":"StarkInfra.Event.html#query/1","title":"StarkInfra.Event.query/1","type":"function"},{"doc":"Same as update(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.Event.html#update!/2","title":"StarkInfra.Event.update!/2","type":"function"},{"doc":"Update notification Event by passing id. If is_delivered is true, the event will no longer be returned on queries with is_delivered=false. Parameters (required): id [list of strings]: Event unique ids. ex: &quot;5656565656565656&quot; :is_delivered [bool]: If true and event hasn't been delivered already, event will be set as delivered. ex: true Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: target Event with updated attributes","ref":"StarkInfra.Event.html#update/2","title":"StarkInfra.Event.update/2","type":"function"},{"doc":"","ref":"StarkInfra.Event.html#t:t/0","title":"StarkInfra.Event.t/0","type":"type"},{"doc":"Groups Event.Attempt related functions","ref":"StarkInfra.Event.Attempt.html","title":"StarkInfra.Event.Attempt","type":"module"},{"doc":"When an Event delivery fails, an event attempt will be registered. It carries information meant to help you debug event reception issues. Attributes: :id [string]: unique id that identifies the delivery attempt. ex: &quot;5656565656565656&quot; :code [string]: delivery error code. ex: badHttpStatus, badConnection, timeout :message [string]: delivery error full description. ex: &quot;HTTP POST request returned status 404&quot; :event_id [string]: ID of the Event whose delivery failed. ex: &quot;4848484848484848&quot; :webhook_id [string]: ID of the Webhook that triggered this event. ex: &quot;5656565656565656&quot; :created [DateTime]: datetime representing the moment when the attempt was made. ex: ~U[2020-03-26 19:32:35.418698Z]","ref":"StarkInfra.Event.Attempt.html#__struct__/0","title":"StarkInfra.Event.Attempt.__struct__/0","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.Event.Attempt.html#get!/2","title":"StarkInfra.Event.Attempt.get!/2","type":"function"},{"doc":"Receive a single Event.Attempt struct previously created by the Stark Infra API by its id Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: Event.Attempt struct with updated attributes","ref":"StarkInfra.Event.Attempt.html#get/2","title":"StarkInfra.Event.Attempt.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.Event.Attempt.html#page!/1","title":"StarkInfra.Event.Attempt.page!/1","type":"function"},{"doc":"Receive a list of up to 100 Attempt structs previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your requests. Options: :cursor [string, default nil]: cursor returned on the previous page function call :limit [integer, default 100]: maximum number of structs to be retrieved. Max = 100. ex: 35 :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :event_ids [list of strings, default nil]: list of Event ids to filter attempts. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :webhook_ids [list of strings, default nil]: list of Webhook ids to filter attempts. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of Attempt structs with updated attributes and cursor to retrieve the next page of Attempt structs","ref":"StarkInfra.Event.Attempt.html#page/1","title":"StarkInfra.Event.Attempt.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.Event.Attempt.html#query!/1","title":"StarkInfra.Event.Attempt.query!/1","type":"function"},{"doc":"Receive a stream of Event.Attempt structs previously created in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :event_ids [list of strings, default nil]: list of Event ids to filter attempts. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :webhook_ids [list of strings, default nil]: list of Webhook ids to filter attempts. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of Event.Attempt structs with updated attributes","ref":"StarkInfra.Event.Attempt.html#query/1","title":"StarkInfra.Event.Attempt.query/1","type":"function"},{"doc":"","ref":"StarkInfra.Event.Attempt.html#t:t/0","title":"StarkInfra.Event.Attempt.t/0","type":"type"},{"doc":"Groups IssuingAuthorization related functions","ref":"StarkInfra.IssuingAuthorization.html","title":"StarkInfra.IssuingAuthorization","type":"module"},{"doc":"An IssuingAuthorization presents purchase data to be analysed and answered with an approval or a declination. Attributes (return-only): :end_to_end_id [string]: central bank's unique transaction ID. ex: &quot;E79457883202101262140HHX553UPqeq&quot; :amount [integer]: IssuingPurchase value in cents. Minimum = 0. ex: 1234 (= R$ 12.34) :tax [integer]: IOF amount taxed for international purchases. ex: 1234 (= R$ 12.34) :card_id [string]: unique id returned when IssuingCard is created. ex: &quot;5656565656565656&quot; :issuer_amount [integer]: issuer amount. ex: 1234 (= R$ 12.34) :issuer_currency_code [string]: issuer currency code. ex: &quot;USD&quot; :merchant_amount [integer]: merchant amount. ex: 1234 (= R$ 12.34) :merchant_currency_code [string]: merchant currency code. ex: &quot;USD&quot; :merchant_category_code [string]: merchant category code. ex: &quot;fastFoodRestaurants&quot; :merchant_country_code [string]: merchant country code. ex: &quot;USA&quot; :acquirer_id [string]: acquirer ID. ex: &quot;5656565656565656&quot; :merchant_id [string]: merchant ID. ex: &quot;5656565656565656&quot; :merchant_name [string]: merchant name. ex: &quot;Google Cloud Platform&quot; :merchant_fee [integer]: merchant fee charged. ex: 200 (= R$ 2.00) :wallet_id [string]: virtual wallet ID. ex: &quot;googlePay&quot; :method_code [string]: method code. ex: &quot;chip&quot;, &quot;token&quot;, &quot;server&quot;, &quot;manual&quot;, &quot;magstripe&quot; or &quot;contactless&quot; :score [float]: internal score calculated for the authenticity of the purchase. Nil in case of insufficient data. ex: 7.6 :is_partial_allowed [bool]: true if the the merchant allows partial purchases. ex: False :purpose [string]: purchase purpose. ex: &quot;purchase&quot; :card_tags [list of strings]: tags of the IssuingCard responsible for this purchase. ex: [&quot;travel&quot;, &quot;food&quot;] :holder_tags [list of strings]: tags of the IssuingHolder responsible for this purchase. ex: [&quot;technology&quot;, &quot;john snow&quot;]","ref":"StarkInfra.IssuingAuthorization.html#__struct__/0","title":"StarkInfra.IssuingAuthorization.__struct__/0","type":"function"},{"doc":"Same as parse(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingAuthorization.html#parse!/1","title":"StarkInfra.IssuingAuthorization.parse!/1","type":"function"},{"doc":"Create a single IssuingAuthorization struct received from IssuingAuthorization at the informed endpoint. If the provided digital signature does not check out with the StarkInfra public key, a starkinfra.error.InvalidSignatureError will be raised. Parameters (required): :content [string]: response content from request received at user endpoint (not parsed) :signature [string]: base-64 digital signature received at response header &quot;Digital-Signature&quot; Options cache_pid [PID, default nil]: PID of the process that holds the public key cache, returned on previous parses. If not provided, a new cache process will be generated. :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: Parsed IssuingAuthorization struct","ref":"StarkInfra.IssuingAuthorization.html#parse/1","title":"StarkInfra.IssuingAuthorization.parse/1","type":"function"},{"doc":"Helps you respond IssuingAuthorization requests. Parameters (required): :status [string]: sub-issuer response to the authorization. ex: &quot;accepted&quot; or &quot;denied&quot; Options :amount [integer, default 0]: amount in cents that was authorized. ex: 1234 (= R$ 12.34) :reason [string, default &quot;&quot;]: denial reason. ex: &quot;other&quot; :tags [list of strings, default []]: tags to filter retrieved object. ex: [&quot;tony&quot;, &quot;stark&quot;] Return: Dumped JSON string that must be returned to us on the IssuingAuthorization request","ref":"StarkInfra.IssuingAuthorization.html#response!/2","title":"StarkInfra.IssuingAuthorization.response!/2","type":"function"},{"doc":"","ref":"StarkInfra.IssuingAuthorization.html#t:t/0","title":"StarkInfra.IssuingAuthorization.t/0","type":"type"},{"doc":"Groups IssuingBalance related functions","ref":"StarkInfra.IssuingBalance.html","title":"StarkInfra.IssuingBalance","type":"module"},{"doc":"The IssuingBalance struct displays the current issuing balance of the Workspace, which is the result of the sum of all transactions within this Workspace. The balance is never generated by the user, but it can be retrieved to see the available information. Attributes (return-only): :id [string]: unique id returned when IssuingBalance is created. ex: &quot;5656565656565656&quot; :amount [integer]: current balance amount of the Workspace in cents. ex: 200 (= R$ 2.00) :currency [string]: currency of the current Workspace. Expect others to be added eventually. ex: &quot;BRL&quot; :updated [DateTime]: latest update DateTime for the IssuingBalance. ex: ~U[2020-3-10 10:30:0:0]","ref":"StarkInfra.IssuingBalance.html#__struct__/0","title":"StarkInfra.IssuingBalance.__struct__/0","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingBalance.html#get!/1","title":"StarkInfra.IssuingBalance.get!/1","type":"function"},{"doc":"Receive the IssuingBalance struct linked to your Workspace in the Stark Infra API Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: IssuingBalance struct with updated attributes","ref":"StarkInfra.IssuingBalance.html#get/1","title":"StarkInfra.IssuingBalance.get/1","type":"function"},{"doc":"","ref":"StarkInfra.IssuingBalance.html#t:t/0","title":"StarkInfra.IssuingBalance.t/0","type":"type"},{"doc":"Groups IssuingBin related functions","ref":"StarkInfra.IssuingBin.html","title":"StarkInfra.IssuingBin","type":"module"},{"doc":"The IssuingBin object displays information of BINs registered to your Workspace. They represent a group of cards that begin with the same numbers (BIN) and offer the same product to end customers. Attributes (return-only): :id [string]: unique BIN number registered within the card network. ex: &quot;53810200&quot; :network [string]: card network flag. ex: &quot;mastercard&quot; :settlement [string]: settlement type. ex: &quot;credit&quot; :category [string]: purchase category. ex: &quot;prepaid&quot; :client [string]: client type. ex: &quot;business&quot; :updated [DateTime]: latest update DateTime for the IssuingBin. ex: ~U[2020-3-10 10:30:0:0] :created [DateTime]: creation datetime for the IssuingBin. ex: ~U[2020-03-10 10:30:0:0]","ref":"StarkInfra.IssuingBin.html#__struct__/0","title":"StarkInfra.IssuingBin.__struct__/0","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingBin.html#page!/1","title":"StarkInfra.IssuingBin.page!/1","type":"function"},{"doc":"Receive a list of up to 100 IssuingBin structs previously registered in the Stark Infra API and the cursor to the next page. Options: :cursor [string, default nil]: cursor returned on the previous page function call :limit [integer, default 100]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of IssuingBin structs with updated attributes cursor to retrieve the next page of IssuingBin structs","ref":"StarkInfra.IssuingBin.html#page/1","title":"StarkInfra.IssuingBin.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingBin.html#query!/1","title":"StarkInfra.IssuingBin.query!/1","type":"function"},{"doc":"Receive a stream of IssuingBin structs previously registered in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of IssuingBin structs with updated attributes","ref":"StarkInfra.IssuingBin.html#query/1","title":"StarkInfra.IssuingBin.query/1","type":"function"},{"doc":"","ref":"StarkInfra.IssuingBin.html#t:t/0","title":"StarkInfra.IssuingBin.t/0","type":"type"},{"doc":"Groups IssuingCard related functions","ref":"StarkInfra.IssuingCard.html","title":"StarkInfra.IssuingCard","type":"module"},{"doc":"The IssuingCard struct displays the information of the cards created in your Workspace. Sensitive information will only be returned when the &quot;expand&quot; parameter is used, to avoid security concerns. Parameters (required): :holder_name [string]: card holder name. ex: &quot;Tony Stark&quot; :holder_tax_id [string]: card holder tax ID. ex: &quot;012.345.678-90&quot; :holder_external_id [string] card holder unique id, generated by the user to avoid duplicated holders. ex: &quot;my-entity/123&quot; Parameters (optional): :display_name [string, default nil]: card displayed name. ex: &quot;ANTHONY STARK&quot; :rules [list of IssuingRule, default nil]: [EXPANDABLE] list of card spending rules. :bin_id [string, default nil]: BIN ID to which the card is bound. ex: &quot;53810200&quot; :tags [list of strings]: list of strings for tagging. ex: [&quot;travel&quot;, &quot;food&quot;] :street_line_1 [string, default nil]: card holder main address. ex: &quot;Av. Paulista, 200&quot; :street_line_2 [string, default nil]: card holder address complement. ex: &quot;Apto. 123&quot; :district [string]: card holder address district / neighbourhood. ex: &quot;Bela Vista&quot; :city [string, default nil]: card holder address city. ex: &quot;Rio de Janeiro&quot; :state_code [string, default nil]: card holder address state. ex: &quot;GO&quot; :zip_code [string]: card holder address zip code. ex: &quot;01311-200&quot; Attributes (return-only): :id [string]: unique id returned when IssuingCard is created. ex: &quot;5656565656565656&quot; :holder_id [string]: card holder unique id. ex: &quot;5656565656565656&quot; :type [string]: card type. ex: &quot;virtual&quot; :status [string]: current IssuingCard status. ex: &quot;canceled&quot; or &quot;active&quot; :number [string]: [EXPANDABLE] masked card number. Expand to unmask the value. ex: &quot;123&quot;. :security_code [string]: [EXPANDABLE] masked card verification value (cvv). Expand to unmask the value. ex: &quot;123&quot;. :expiration [string]: [EXPANDABLE] masked card expiration datetime. Expand to unmask the value. ex: '2020-03-10 10:30:00.000'. :updated [DateTime]: latest update DateTime for the IssuingCard. ex: ~U[2020-3-10 10:30:0:0] :created [DateTime]: creation datetime for the IssuingCard. ex: ~U[2020-03-10 10:30:0:0]","ref":"StarkInfra.IssuingCard.html#__struct__/0","title":"StarkInfra.IssuingCard.__struct__/0","type":"function"},{"doc":"Same as cancel(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingCard.html#cancel!/2","title":"StarkInfra.IssuingCard.cancel!/2","type":"function"},{"doc":"Cancel an IssuingCard entity previously created in the Stark Infra API. Parameters (required): :id [string]: IssuingCard unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: canceled IssuingCard struct","ref":"StarkInfra.IssuingCard.html#cancel/2","title":"StarkInfra.IssuingCard.cancel/2","type":"function"},{"doc":"Same as create(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingCard.html#create!/2","title":"StarkInfra.IssuingCard.create!/2","type":"function"},{"doc":"Send a list of IssuingCard structs for creation in the Stark Infra API. Parameters (required): :cards [list of IssuingCard structs]: list of IssuingCard structs to be created in the API Options: :expand [list of strings, default []]: fields to expand information. ex: [&quot;rules&quot;, &quot;security_code&quot;, &quot;number&quot;, &quot;expiration&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of IssuingCard structs with updated attributes","ref":"StarkInfra.IssuingCard.html#create/2","title":"StarkInfra.IssuingCard.create/2","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingCard.html#get!/2","title":"StarkInfra.IssuingCard.get!/2","type":"function"},{"doc":"Receive a single IssuingCards struct previously created in the Stark Infra API by its id. Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :expand [list of strings, default nil]: fields to expand information. ex: [&quot;rules&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: IssuingCards struct with updated attributes","ref":"StarkInfra.IssuingCard.html#get/2","title":"StarkInfra.IssuingCard.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingCard.html#page!/1","title":"StarkInfra.IssuingCard.page!/1","type":"function"},{"doc":"Receive a list of IssuingCards structs previously created in the Stark Infra API and the cursor to the next page. Options: :status [string, default nil]: filter for status of retrieved structs. ex: &quot;paid&quot; or &quot;registered&quot; :types [list of strings, default nil]: card type. ex: [&quot;virtual&quot;] :holder_ids [list of strings, default nil]: card holder IDs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :tags [list of strings, default nil]: tags to filter retrieved structs. ex: [&quot;tony&quot;, &quot;stark&quot;] :ids [list of strings, default nil]: list of ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :limit [integer, default 100]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :cursor [string, default nil]: cursor returned on the previous page function call :expand [list of strings, default []]: fields to expand information. ex: [&quot;rules&quot;, &quot;security_code&quot;, &quot;number&quot;, &quot;expiration&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of IssuingCards structs with updated attributes cursor to retrieve the next page of IssuingCards structs","ref":"StarkInfra.IssuingCard.html#page/1","title":"StarkInfra.IssuingCard.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingCard.html#query!/1","title":"StarkInfra.IssuingCard.query!/1","type":"function"},{"doc":"Receive a stream of IssuingCards structs previously created in the Stark Infra API. Options: :status [string, default nil]: filter for status of retrieved structs. ex: &quot;paid&quot; or &quot;registered&quot; :types [list of strings, default nil]: card type. ex: [&quot;virtual&quot;] :holder_ids [list of strings]: card holder IDs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :tags [list of strings, default nil]: tags to filter retrieved structs. ex: [&quot;tony&quot;, &quot;stark&quot;] :ids [list of strings, default nil]: list of ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :expand [list of strings, default []]: fields to expand information. ex: [&quot;rules&quot;, &quot;security_code&quot;, &quot;number&quot;, &quot;expiration&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of IssuingCards structs with updated attributes","ref":"StarkInfra.IssuingCard.html#query/1","title":"StarkInfra.IssuingCard.query/1","type":"function"},{"doc":"Same as update(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingCard.html#update!/2","title":"StarkInfra.IssuingCard.update!/2","type":"function"},{"doc":"Update an IssuingCard by passing id. Parameters (required): :id [string]: IssuingCard id. ex: '5656565656565656' Parameters (Optional): :status [string]: You may block the IssuingCard by passing 'blocked' in the status :display_name [string, default nil]: card displayed name :rules [list of dictionaries, default nil]: list of dictionaries with &quot;amount&quot;: int, &quot;currencyCode&quot;: string, &quot;id&quot;: string, &quot;interval&quot;: string, &quot;name&quot;: string pairs. :tags [list of strings, default nil]: list of strings for tagging :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: target IssuingCard with updated attributes","ref":"StarkInfra.IssuingCard.html#update/2","title":"StarkInfra.IssuingCard.update/2","type":"function"},{"doc":"","ref":"StarkInfra.IssuingCard.html#t:t/0","title":"StarkInfra.IssuingCard.t/0","type":"type"},{"doc":"Groups IssuingCard.Log related functions","ref":"StarkInfra.IssuingCard.Log.html","title":"StarkInfra.IssuingCard.Log","type":"module"},{"doc":"Every time an IssuingCard entity is updated, a corresponding IssuingCard.Log is generated for the entity. This log is never generated by the user, but it can be retrieved to check additional information on the IssuingCard. Attributes: :id [string]: unique id returned when the log is created. ex: &quot;5656565656565656&quot; :card [IssuingCard]: IssuingCard entity to which the log refers to. :type [string]: type of the IssuingCard event which triggered the log creation. ex: &quot;blocked&quot;, &quot;canceled&quot;, &quot;created&quot;, &quot;expired&quot;, &quot;unblocked&quot;, &quot;updated&quot; :created [DateTime]: creation datetime for the log. ex: ~U[2020-03-10 10:30:0:0]","ref":"StarkInfra.IssuingCard.Log.html#__struct__/0","title":"StarkInfra.IssuingCard.Log.__struct__/0","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingCard.Log.html#get!/2","title":"StarkInfra.IssuingCard.Log.get!/2","type":"function"},{"doc":"Receive a single IssuingCard.Log struct previously created by the Stark Infra API by its id. Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: IssuingCard.Log struct with updated attributes","ref":"StarkInfra.IssuingCard.Log.html#get/2","title":"StarkInfra.IssuingCard.Log.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingCard.Log.html#page!/1","title":"StarkInfra.IssuingCard.Log.page!/1","type":"function"},{"doc":"Receive a list of up to 100 IssuingCard.Log structs previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your requests. Options: :cursor [string, default nil]: cursor returned on the previous page function call :ids [list of strings, default nil]: list of ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :limit [integer, default 100]: maximum number of structs to be retrieved. It must be an integer between 1 and 100. ex: 50 :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :types [list of strings, default nil]: filter for log event types. ex: [&quot;blocked&quot;, &quot;canceled&quot;, &quot;created&quot;, &quot;expired&quot;, &quot;unblocked&quot;, &quot;updated&quot;] :card_ids [list of strings, default nil]: list of IssuingCard ids to filter logs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of IssuingCard.Log structs with updated attributes cursor to retrieve the next page of IssuingCard.Log structs","ref":"StarkInfra.IssuingCard.Log.html#page/1","title":"StarkInfra.IssuingCard.Log.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingCard.Log.html#query!/1","title":"StarkInfra.IssuingCard.Log.query!/1","type":"function"},{"doc":"Receive a stream of IssuingCard.Log structs previously created in the Stark Infra API Options: :ids [list of strings, default nil]: list of ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :types [list of strings, default nil]: filter for log event types. ex: [&quot;blocked&quot;, &quot;canceled&quot;, &quot;created&quot;, &quot;expired&quot;, &quot;unblocked&quot;, &quot;updated&quot;] :card_ids [list of strings, default nil]: list of IssuingCard ids to filter logs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of IssuingCard.Log structs with updated attributes","ref":"StarkInfra.IssuingCard.Log.html#query/1","title":"StarkInfra.IssuingCard.Log.query/1","type":"function"},{"doc":"","ref":"StarkInfra.IssuingCard.Log.html#t:t/0","title":"StarkInfra.IssuingCard.Log.t/0","type":"type"},{"doc":"Groups IssuingHolder related functions","ref":"StarkInfra.IssuingHolder.html","title":"StarkInfra.IssuingHolder","type":"module"},{"doc":"The IssuingHolder describes a card holder that may group several cards. Parameters (required): :name [binary]: card holder's name. :tax_id [binary]: card holder's tax ID :external_id [binary] card holder's external ID Parameters (optional): :rules [list of IssuingRule structs, default []]: [EXPANDABLE] list of holder spending rules :tags [list of binarys, default []]: list of binarys for tagging. ex: [&quot;travel&quot;, &quot;food&quot;] Attributes (return-only): :id [binary]: unique id returned when IssuingHolder is created. ex: &quot;5656565656565656&quot; :status [binary]: current IssuingHolder status. ex: &quot;active&quot;, &quot;blocked&quot; or &quot;canceled&quot; :updated [DateTime]: latest update DateTime for the IssuingHolder. ex: ~U[2020-3-10 10:30:0:0] :created [DateTime]: creation datetime for the IssuingHolder. ex: ~U[2020-03-10 10:30:0:0]","ref":"StarkInfra.IssuingHolder.html#__struct__/0","title":"StarkInfra.IssuingHolder.__struct__/0","type":"function"},{"doc":"Same as cancel(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingHolder.html#cancel!/2","title":"StarkInfra.IssuingHolder.cancel!/2","type":"function"},{"doc":"Cancel an IssuingHolder entity previously created in the Stark Infra API. Parameters (required): :id [string]: IssuingHolder unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: canceled IssuingHolder struct","ref":"StarkInfra.IssuingHolder.html#cancel/2","title":"StarkInfra.IssuingHolder.cancel/2","type":"function"},{"doc":"Same as create(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingHolder.html#create!/2","title":"StarkInfra.IssuingHolder.create!/2","type":"function"},{"doc":"Send a list of IssuingHolder structs for creation in the Stark Infra API. Parameters (required): :holders [list of IssuingHolder structs]: list of IssuingHolder structs to be created in the API Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of IssuingHolder structs with updated attributes","ref":"StarkInfra.IssuingHolder.html#create/2","title":"StarkInfra.IssuingHolder.create/2","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingHolder.html#get!/2","title":"StarkInfra.IssuingHolder.get!/2","type":"function"},{"doc":"Receive a single IssuingHolder struct previously created in the Stark Infra API by its id. Parameters (required): :id [binary]: struct unique id. ex: &quot;5656565656565656&quot; Options: :expand [list of binarys, default nil]: fields to expand information. ex: [&quot;rules&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: IssuingHolder struct with updated attributes","ref":"StarkInfra.IssuingHolder.html#get/2","title":"StarkInfra.IssuingHolder.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingHolder.html#page!/1","title":"StarkInfra.IssuingHolder.page!/1","type":"function"},{"doc":"Receive a list of IssuingHolder structs previously created in the Stark Infra API and the cursor to the next page. Options: :limit [integer, default 100]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :status [string, default nil]: filter for status of retrieved structs. ex: &quot;paid&quot; or &quot;registered&quot; :tags [list of strings, default nil]: tags to filter retrieved structs. ex: [&quot;tony&quot;, &quot;stark&quot;] :ids [list of strings, default nil]: list of ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :expand [string, default nil]: fields to expand information. ex: &quot;rules, securityCode, number, expiration&quot; :cursor [string, default nil]: cursor returned on the previous page function call :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of IssuingHolder structs with updated attributes cursor to retrieve the next page of IssuingHolder structs","ref":"StarkInfra.IssuingHolder.html#page/1","title":"StarkInfra.IssuingHolder.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingHolder.html#query!/1","title":"StarkInfra.IssuingHolder.query!/1","type":"function"},{"doc":"Receive a stream of IssuingHolder structs previously created in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :status [binary, default nil]: filter for status of retrieved structs. ex: &quot;paid&quot; or &quot;registered&quot; :tags [list of binarys, default nil]: tags to filter retrieved structs. ex: [&quot;tony&quot;, &quot;stark&quot;] :ids [list of binarys, default nil]: list of ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :expand [list of binarys, default nil]: fields to expand information. ex: [&quot;rules&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of IssuingHolder structs with updated attributes","ref":"StarkInfra.IssuingHolder.html#query/1","title":"StarkInfra.IssuingHolder.query/1","type":"function"},{"doc":"Same as update(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingHolder.html#update!/2","title":"StarkInfra.IssuingHolder.update!/2","type":"function"},{"doc":"Update an IssuingHolder by passing id, if it hasn't been paid yet. Parameters (required): :id [string]: IssuingHolder id. ex: '5656565656565656' Parameters (optional): :status [string, default nil]: You may block the IssuingHolder by passing 'blocked' in the status. :name [string, default nil]: card holder name. :tags [list of strings, default nil]: list of strings for tagging. :rules [list of dictionaries, default nil]: list of dictionaries with &quot;amount&quot;: int, &quot;currencyCode&quot;: string, &quot;id&quot;: string, &quot;interval&quot;: string, &quot;name&quot;: string pairs :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: target IssuingHolder with updated attributes","ref":"StarkInfra.IssuingHolder.html#update/2","title":"StarkInfra.IssuingHolder.update/2","type":"function"},{"doc":"","ref":"StarkInfra.IssuingHolder.html#t:t/0","title":"StarkInfra.IssuingHolder.t/0","type":"type"},{"doc":"Groups IssuingHolder.Log related functions","ref":"StarkInfra.IssuingHolder.Log.html","title":"StarkInfra.IssuingHolder.Log","type":"module"},{"doc":"Every time an IssuingHolder entity is updated, a corresponding IssuingHolder.Log is generated for the entity. This log is never generated by the user, but it can be retrieved to check additional information on the IssuingHolder. Attributes: :id [string]: unique id returned when the log is created. ex: &quot;5656565656565656&quot; :holder [IssuingHolder]: IssuingHolder entity to which the log refers to. :type [string]: type of the IssuingHolder event which triggered the log creation. ex: &quot;blocked&quot;, &quot;canceled&quot;, &quot;created&quot;, &quot;unblocked&quot;, &quot;updated&quot; :created [DateTime]: creation datetime for the log. ex: ~U[2020-03-10 10:30:0:0]","ref":"StarkInfra.IssuingHolder.Log.html#__struct__/0","title":"StarkInfra.IssuingHolder.Log.__struct__/0","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingHolder.Log.html#get!/2","title":"StarkInfra.IssuingHolder.Log.get!/2","type":"function"},{"doc":"Receive a single IssuingHolder.Log struct previously created by the Stark Infra API by its id. Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: IssuingHolder.Log struct with updated attributes","ref":"StarkInfra.IssuingHolder.Log.html#get/2","title":"StarkInfra.IssuingHolder.Log.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingHolder.Log.html#page!/1","title":"StarkInfra.IssuingHolder.Log.page!/1","type":"function"},{"doc":"Receive a list of up to 100 IssuingHolder.Log structs previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your requests. Options: :cursor [string, default nil]: cursor returned on the previous page function call :ids [list of strings, default nil]: list of ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :limit [integer, default 100]: maximum number of structs to be retrieved. It must be an integer between 1 and 100. ex: 50 :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :types [list of strings, default nil]: filter for log event types. ex: [&quot;created&quot;, &quot;blocked&quot;] :holder_ids [list of strings, default nil]: list of IssuingHolder ids to filter logs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of IssuingHolder.Log structs with updated attributes cursor to retrieve the next page of IssuingHolder.Log structs","ref":"StarkInfra.IssuingHolder.Log.html#page/1","title":"StarkInfra.IssuingHolder.Log.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingHolder.Log.html#query!/1","title":"StarkInfra.IssuingHolder.Log.query!/1","type":"function"},{"doc":"Receive a stream of IssuingHolder.Log structs previously created in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :ids [list of strings, default nil]: list of ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :types [list of strings, default nil]: filter for log event types. ex: [&quot;created&quot;, &quot;blocked&quot;] :holder_ids [list of strings, default nil]: list of IssuingHolder ids to filter logs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of IssuingHolder.Log structs with updated attributes","ref":"StarkInfra.IssuingHolder.Log.html#query/1","title":"StarkInfra.IssuingHolder.Log.query/1","type":"function"},{"doc":"","ref":"StarkInfra.IssuingHolder.Log.html#t:t/0","title":"StarkInfra.IssuingHolder.Log.t/0","type":"type"},{"doc":"# IssuingInvoice struct","ref":"StarkInfra.IssuingInvoice.html","title":"StarkInfra.IssuingInvoice","type":"module"},{"doc":"The IssuingInvoice structs created in your Workspace load your Issuing balance when paid. Parameters (required): :amount [integer]: IssuingInvoice value in cents. ex: 1234 (= R$ 12.34) Parameters (optional): :tax_id [string, default sub-issuer tax ID]: payer tax ID (CPF or CNPJ) with or without formatting. ex: &quot;01234567890&quot; or &quot;20.018.183/0001-80&quot; :name [string, default sub-issuer name]: payer name. ex: &quot;Iron Bank S.A.&quot; :tags [list of strings, default []]: list of strings for tagging. ex: [&quot;travel&quot;, &quot;food&quot;] Attributes (return-only): :id [string]: unique id returned when IssuingInvoice is created. ex: &quot;5656565656565656&quot; :status [string]: current IssuingInvoice status. ex: &quot;created&quot;, &quot;expired&quot;, &quot;overdue&quot;, &quot;paid&quot; :issuing_transaction_id [string]: ledger transaction ids linked to this IssuingInvoice. ex: &quot;issuing-invoice/5656565656565656&quot; :updated [DateTime]: latest update DateTime for the IssuingInvoice. ex: ~U[2020-3-10 10:30:0:0] :created [DateTime]: creation datetime for the IssuingInvoice. ex: ~U[2020-03-10 10:30:0:0]","ref":"StarkInfra.IssuingInvoice.html#__struct__/0","title":"StarkInfra.IssuingInvoice.__struct__/0","type":"function"},{"doc":"Same as create(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingInvoice.html#create!/2","title":"StarkInfra.IssuingInvoice.create!/2","type":"function"},{"doc":"Send a list of IssuingInvoice structs for creation in the Stark Infra API Parameters (required): :invoice [IssuingInvoice struct]: IssuingInvoice struct to be created in the API. Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: IssuingInvoice struct with updated attributes","ref":"StarkInfra.IssuingInvoice.html#create/2","title":"StarkInfra.IssuingInvoice.create/2","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingInvoice.html#get!/2","title":"StarkInfra.IssuingInvoice.get!/2","type":"function"},{"doc":"Receive a single IssuingInvoice struct previously created in the Stark Infra API by its id Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: IssuingInvoice struct with updated attributes","ref":"StarkInfra.IssuingInvoice.html#get/2","title":"StarkInfra.IssuingInvoice.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingInvoice.html#page!/1","title":"StarkInfra.IssuingInvoice.page!/1","type":"function"},{"doc":"Receive a list of IssuingInvoices structs previously created in the Stark Infra API and the cursor to the next page. Options: :cursor [string, default nil]: cursor returned on the previous page function call :limit [integer, default 100]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :status [list of strings, default nil]: filter for status of retrieved structs. ex: [&quot;created&quot;, &quot;expired&quot;, &quot;overdue&quot;, &quot;paid&quot;] :tags [list of strings, default nil]: tags to filter retrieved structs. ex: [&quot;tony&quot;, &quot;stark&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of IssuingInvoices structs with updated attributes cursor to retrieve the next page of IssuingInvoices structs","ref":"StarkInfra.IssuingInvoice.html#page/1","title":"StarkInfra.IssuingInvoice.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingInvoice.html#query!/1","title":"StarkInfra.IssuingInvoice.query!/1","type":"function"},{"doc":"Receive a stream of IssuingInvoices structs previously created in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :status [list of strings, default nil]: filter for status of retrieved structs. ex: [&quot;created&quot;, &quot;expired&quot;, &quot;overdue&quot;, &quot;paid&quot;] :tags [list of strings, default nil]: tags to filter retrieved structs. ex: [&quot;tony&quot;, &quot;stark&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of IssuingInvoices structs with updated attributes","ref":"StarkInfra.IssuingInvoice.html#query/1","title":"StarkInfra.IssuingInvoice.query/1","type":"function"},{"doc":"","ref":"StarkInfra.IssuingInvoice.html#t:t/0","title":"StarkInfra.IssuingInvoice.t/0","type":"type"},{"doc":"Groups IssuingInvoice.Log related functions","ref":"StarkInfra.IssuingInvoice.Log.html","title":"StarkInfra.IssuingInvoice.Log","type":"module"},{"doc":"Every time an IssuingInvoice entity is updated, a corresponding IssuingInvoice.Log is generated for the entity. This log is never generated by the user, but it can be retrieved to check additional information on the IssuingInvoice. Attributes: :id [string]: unique id returned when the log is created. ex: &quot;5656565656565656&quot; :invoice [IssuingInvoice]: IssuingInvoice entity to which the log refers to. :type [string]: type of the IssuingInvoice event which triggered the log creation. ex: &quot;created&quot;, &quot;credited&quot;, &quot;expired&quot;, &quot;overdue&quot;, &quot;paid&quot;. :created [DateTime]: creation datetime for the log. ex: ~U[2020-03-10 10:30:0:0]","ref":"StarkInfra.IssuingInvoice.Log.html#__struct__/0","title":"StarkInfra.IssuingInvoice.Log.__struct__/0","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingInvoice.Log.html#get!/2","title":"StarkInfra.IssuingInvoice.Log.get!/2","type":"function"},{"doc":"Receive a single IssuingInvoice.Log struct previously created by the Stark Infra API by its id. Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: IssuingInvoice.Log struct with updated attributes","ref":"StarkInfra.IssuingInvoice.Log.html#get/2","title":"StarkInfra.IssuingInvoice.Log.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingInvoice.Log.html#page!/1","title":"StarkInfra.IssuingInvoice.Log.page!/1","type":"function"},{"doc":"Receive a list of up to 100 IssuingInvoice.Log structs previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your requests. Options: :cursor [string, default nil]: cursor returned on the previous page function call :ids [list of strings, default nil]: list of IssuingInvoice ids to filter logs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :limit [integer, default 100]: maximum number of structs to be retrieved. It must be an integer between 1 and 100. ex: 50 :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :types [list of strings, default nil]: filter for log event types. ex: [&quot;created&quot;, &quot;credited&quot;, &quot;expired&quot;, &quot;overdue&quot;, &quot;paid&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of IssuingInvoice.Log structs with updated attributes cursor to retrieve the next page of IssuingInvoice.Log structs","ref":"StarkInfra.IssuingInvoice.Log.html#page/1","title":"StarkInfra.IssuingInvoice.Log.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingInvoice.Log.html#query!/1","title":"StarkInfra.IssuingInvoice.Log.query!/1","type":"function"},{"doc":"Receive a stream of IssuingInvoice.Log structs previously created in the Stark Infra API Options: :ids [list of strings, default nil]: list of IssuingInvoice ids to filter logs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :types [list of strings, default nil]: filter for log event types. ex: [&quot;created&quot;, &quot;credited&quot;, &quot;expired&quot;, &quot;overdue&quot;, &quot;paid&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of IssuingInvoice.Log structs with updated attributes","ref":"StarkInfra.IssuingInvoice.Log.html#query/1","title":"StarkInfra.IssuingInvoice.Log.query/1","type":"function"},{"doc":"","ref":"StarkInfra.IssuingInvoice.Log.html#t:t/0","title":"StarkInfra.IssuingInvoice.Log.t/0","type":"type"},{"doc":"# IssuingPurchase struct","ref":"StarkInfra.IssuingPurchase.html","title":"StarkInfra.IssuingPurchase","type":"module"},{"doc":"Displays the IssuingPurchase structs created in your Workspace. Attributes (return-only): :id [string]: unique id returned when IssuingPurchase is created. ex: &quot;5656565656565656&quot; :holder_name [string]: card holder name. ex: &quot;Tony Stark&quot; :card_id [string]: unique id returned when IssuingCard is created. ex: &quot;5656565656565656&quot; :card_ending [string]: last 4 digits of the card number. ex: &quot;1234&quot; :amount [integer]: IssuingPurchase value in cents. Minimum = 0. ex: 1234 (= R$ 12.34) :tax [integer]: IOF amount taxed for international purchases. ex: 1234 (= R$ 12.34) :issuer_amount [integer]: issuer amount. ex: 1234 (= R$ 12.34) :issuer_currency_code [string]: issuer currency code. ex: &quot;USD&quot; :issuer_currency_symbol [string]: issuer currency symbol. ex: &quot;$&quot; :merchant_amount [integer]: merchant amount. ex: 1234 (= R$ 12.34) :merchant_currency_code [string]: merchant currency code. ex: &quot;USD&quot; :merchant_currency_symbol [string]: merchant currency symbol. ex: &quot;$&quot; :merchant_category_code [string]: merchant category code. ex: &quot;fastFoodRestaurants&quot; :merchant_country_code [string]: merchant country code. ex: &quot;USA&quot; :acquirer_id [string]: acquirer ID. ex: &quot;5656565656565656&quot; :merchant_id [string]: merchant ID. ex: &quot;5656565656565656&quot; :merchant_name [string]: merchant name. ex: &quot;Google Cloud Platform&quot; :merchant_fee [integer]: fee charged by the merchant to cover specific costs, such as ATM withdrawal logistics, etc. ex: 200 (= R$ 2.00) :wallet_id [string]: virtual wallet ID. ex: &quot;5656565656565656&quot; :method_code [string]: method code. ex: &quot;chip&quot;, &quot;token&quot;, &quot;server&quot;, &quot;manual&quot;, &quot;magstripe&quot; or &quot;contactless&quot; :score [float]: internal score calculated for the authenticity of the purchase. nil in case of insufficient data. ex: 7.6 :issuing_transaction_ids [string]: ledger transaction ids linked to this Purchase :end_to_end_id [string]: central bank's unique transaction ID. ex: &quot;E79457883202101262140HHX553UPqeq&quot; :status [string]: current IssuingCard status. ex: &quot;approved&quot;, &quot;canceled&quot;, &quot;denied&quot;, &quot;confirmed&quot;, &quot;voided&quot; :tags [string]: list of strings for tagging returned by the sub-issuer during the authorization. ex: [&quot;travel&quot;, &quot;food&quot;] :updated [DateTime]: latest update DateTime for the IssuingPurchase. ex: ~U[2020-3-10 10:30:0:0] :created [DateTime]: creation datetime for the IssuingPurchase. ex: ~U[2020-03-10 10:30:0:0]","ref":"StarkInfra.IssuingPurchase.html#__struct__/0","title":"StarkInfra.IssuingPurchase.__struct__/0","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingPurchase.html#get!/2","title":"StarkInfra.IssuingPurchase.get!/2","type":"function"},{"doc":"Receive a single IssuingPurchase struct previously created in the Stark Infra API by its id Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: IssuingPurchase struct with updated attributes","ref":"StarkInfra.IssuingPurchase.html#get/2","title":"StarkInfra.IssuingPurchase.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingPurchase.html#page!/1","title":"StarkInfra.IssuingPurchase.page!/1","type":"function"},{"doc":"Receive a list of IssuingPurchase structs previously created in the Stark Infra API and the cursor to the next page. Options: :cursor [string, default nil]: cursor returned on the previous page function call :ids [list of strings, default [], default nil]: purchase IDs :limit [integer, default 100]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :end_to_end_ids [list of strings, default []]: central bank's unique transaction ID. ex: &quot;E79457883202101262140HHX553UPqeq&quot; :holder_ids [list of strings, default []]: card holder IDs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :card_ids [list of strings, default []]: card IDs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :status [list of strings, default nil]: filter for status of retrieved structs. ex: [&quot;approved&quot;, &quot;canceled&quot;, &quot;denied&quot;, &quot;confirmed&quot;, &quot;voided&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of IssuingPurchase structs with updated attributes cursor to retrieve the next page of IssuingPurchase structs","ref":"StarkInfra.IssuingPurchase.html#page/1","title":"StarkInfra.IssuingPurchase.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingPurchase.html#query!/1","title":"StarkInfra.IssuingPurchase.query!/1","type":"function"},{"doc":"Receive a stream of IssuingPurchases structs previously created in the Stark Infra API Options: :ids [list of strings, default [], default nil]: purchase IDs :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :end_to_end_ids [list of strings, default []]: central bank's unique transaction ID. ex: &quot;E79457883202101262140HHX553UPqeq&quot; :holder_ids [list of strings, default []]: card holder IDs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :card_ids [list of strings, default []]: card IDs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :status [list of strings, default nil]: filter for status of retrieved structs. ex: [&quot;approved&quot;, &quot;canceled&quot;, &quot;denied&quot;, &quot;confirmed&quot;, &quot;voided&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of IssuingPurchase structs with updated attributes","ref":"StarkInfra.IssuingPurchase.html#query/1","title":"StarkInfra.IssuingPurchase.query/1","type":"function"},{"doc":"","ref":"StarkInfra.IssuingPurchase.html#t:t/0","title":"StarkInfra.IssuingPurchase.t/0","type":"type"},{"doc":"# IssuingPurchase.Log struct","ref":"StarkInfra.IssuingPurchase.Log.html","title":"StarkInfra.IssuingPurchase.Log","type":"module"},{"doc":"Every time an IssuingPurchase entity is updated, a corresponding IssuingPurchase.Log is generated for the entity. This log is never generated by the user, but it can be retrieved to check additional information on the IssuingPurchase. Attributes: :id [string]: unique id returned when the log is created. ex: &quot;5656565656565656&quot; :purchase [IssuingPurchase]: IssuingPurchase entity to which the log refers to. :issuing_transaction_id [string]: transaction ID related to the IssuingCard. :errors [list of strings]: list of errors linked to this IssuingPurchase event :type [string]: type of the IssuingPurchase event which triggered the log creation. ex: &quot;approved&quot;, &quot;canceled&quot;, &quot;confirmed&quot;, &quot;denied&quot;, &quot;reversed&quot;, &quot;voided&quot;. :created [DateTime]: creation datetime for the log. ex: ~U[2020-03-10 10:30:0:0]","ref":"StarkInfra.IssuingPurchase.Log.html#__struct__/0","title":"StarkInfra.IssuingPurchase.Log.__struct__/0","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingPurchase.Log.html#get!/2","title":"StarkInfra.IssuingPurchase.Log.get!/2","type":"function"},{"doc":"Receive a single IssuingPurchase.Log struct previously created by the Stark Infra API by its id Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: IssuingPurchase.Log struct with updated attributes","ref":"StarkInfra.IssuingPurchase.Log.html#get/2","title":"StarkInfra.IssuingPurchase.Log.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingPurchase.Log.html#page!/1","title":"StarkInfra.IssuingPurchase.Log.page!/1","type":"function"},{"doc":"Receive a list of up to 100 IssuingPurchase.Log structs previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your requests. Options: :cursor [string, default nil]: cursor returned on the previous page function call :ids [list of strings, default nil]: list of IssuingPurchase ids to filter logs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :limit [integer, default 100]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :types [list of strings, default nil]: filter for log event types. ex: [&quot;approved&quot;, &quot;canceled&quot;, &quot;confirmed&quot;, &quot;denied&quot;, &quot;reversed&quot;, &quot;voided&quot;] :purchase_ids [list of strings, default nil]: list of Purchase ids to filter logs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of IssuingPurchase.Log structs with updated attributes cursor to retrieve the next page of IssuingPurchase.Log structs","ref":"StarkInfra.IssuingPurchase.Log.html#page/1","title":"StarkInfra.IssuingPurchase.Log.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingPurchase.Log.html#query!/1","title":"StarkInfra.IssuingPurchase.Log.query!/1","type":"function"},{"doc":"Receive a stream of IssuingPurchase.Log structs previously created in the Stark Infra API Options: :ids [list of strings, default nil]: list of IssuingPurchase ids to filter logs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :types [list of strings, default nil]: filter for log event types. ex: [&quot;approved&quot;, &quot;canceled&quot;, &quot;confirmed&quot;, &quot;denied&quot;, &quot;reversed&quot;, &quot;voided&quot;] :purchase_ids [list of strings, default nil]: list of Purchase ids to filter logs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of IssuingPurchase.Log structs with updated attributes","ref":"StarkInfra.IssuingPurchase.Log.html#query/1","title":"StarkInfra.IssuingPurchase.Log.query/1","type":"function"},{"doc":"","ref":"StarkInfra.IssuingPurchase.Log.html#t:t/0","title":"StarkInfra.IssuingPurchase.Log.t/0","type":"type"},{"doc":"# IssuingRule struct","ref":"StarkInfra.IssuingRule.html","title":"StarkInfra.IssuingRule","type":"module"},{"doc":"The IssuingRule struct displays the spending rules of IssuingCards and IssuingHolders created in your Workspace. Parameters (required): :name [string]: rule name. ex: &quot;Travel&quot; or &quot;Food&quot; :amount [integer]: maximum amount that can be spent in the informed interval. ex: 200000 (= R$ 2000.00) :interval [string]: interval after which the rule amount counter will be reset to 0. ex: &quot;instant&quot;, &quot;day&quot;, &quot;week&quot;, &quot;month&quot;, &quot;year&quot; or &quot;lifetime&quot; Parameters (optional): :currency_code [string, default &quot;BRL&quot;]: code of the currency that the rule amount refers to. ex: &quot;BRL&quot; or &quot;USD&quot; :categories [list of strings, default []]: merchant categories accepted by the rule. ex: [&quot;eatingPlacesRestaurants&quot;, &quot;travelAgenciesTourOperators&quot;] :countries [list of strings, default []]: countries accepted by the rule. ex: [&quot;BRA&quot;, &quot;USA&quot;] :methods [list of strings, default []]: card purchase methods accepted by the rule. ex: [&quot;chip&quot;, &quot;token&quot;, &quot;server&quot;, &quot;manual&quot;, &quot;magstripe&quot;, &quot;contactless&quot;] Attributes (expanded return-only): :counter_amount [integer]: current rule spent amount. ex: 1000 :currency_symbol [string]: currency symbol. ex: &quot;R$&quot; :currency_name [string]: currency name. ex: &quot;Brazilian Real&quot; Attributes (return-only): :id [string]: unique id returned when Rule is created. ex: &quot;5656565656565656&quot;","ref":"StarkInfra.IssuingRule.html#__struct__/0","title":"StarkInfra.IssuingRule.__struct__/0","type":"function"},{"doc":"","ref":"StarkInfra.IssuingRule.html#t:t/0","title":"StarkInfra.IssuingRule.t/0","type":"type"},{"doc":"# IssuingTransaction struct","ref":"StarkInfra.IssuingTransaction.html","title":"StarkInfra.IssuingTransaction","type":"module"},{"doc":"The IssuingTransaction structs created in your Workspace to represent each balance shift. Attributes (return-only): :id [string]: unique id returned when IssuingTransaction is created. ex: &quot;5656565656565656&quot; :amount [integer]: IssuingTransaction value in cents. ex: 1234 (= R$ 12.34) :balance [integer]: balance amount of the Workspace at the instant of the Transaction in cents. ex: 200 (= R$ 2.00) :description [string]: IssuingTransaction description. ex: &quot;Buying food&quot; :source [string]: source of the transaction. ex: &quot;issuing-purchase/5656565656565656&quot; :tags [string]: list of strings inherited from the source resource. ex: [&quot;tony&quot;, &quot;stark&quot;] :created [DateTime]: creation datetime for the IssuingTransaction. ex: ~U[2020-03-10 10:30:0:0]","ref":"StarkInfra.IssuingTransaction.html#__struct__/0","title":"StarkInfra.IssuingTransaction.__struct__/0","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingTransaction.html#get!/2","title":"StarkInfra.IssuingTransaction.get!/2","type":"function"},{"doc":"Receive a single IssuingTransaction struct previously created in the Stark Infra API by its id Options: :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: IssuingTransaction struct with updated attributes","ref":"StarkInfra.IssuingTransaction.html#get/2","title":"StarkInfra.IssuingTransaction.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingTransaction.html#page!/1","title":"StarkInfra.IssuingTransaction.page!/1","type":"function"},{"doc":"Receive a list of IssuingTransaction structs previously created in the Stark Infra API and the cursor to the next page. Options: :tags [list of strings, default nil]: tags to filter retrieved structs. ex: [&quot;tony&quot;, &quot;stark&quot;] :external_ids [list of strings, default []]: external IDs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :status [string, default nil]: filter for status of retrieved structs. ex: &quot;approved&quot;, &quot;canceled&quot;, &quot;denied&quot;, &quot;confirmed&quot; or &quot;voided&quot; :ids [list of strings, default [], default nil]: purchase IDs :limit [integer, default 100]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :cursor [string, default nil]: cursor returned on the previous page function call :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of IssuingTransaction structs with updated attributes cursor to retrieve the next page of IssuingPurchase structs","ref":"StarkInfra.IssuingTransaction.html#page/1","title":"StarkInfra.IssuingTransaction.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingTransaction.html#query!/1","title":"StarkInfra.IssuingTransaction.query!/1","type":"function"},{"doc":"Receive a stream of IssuingTransaction structs previously created in the Stark Infra API Options: :tags [list of strings, default nil]: tags to filter retrieved structs. ex: [&quot;tony&quot;, &quot;stark&quot;] :external_ids [list of strings, default []]: external IDs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :status [string, default nil]: filter for status of retrieved structs. ex: &quot;approved&quot;, &quot;canceled&quot;, &quot;denied&quot;, &quot;confirmed&quot; or &quot;voided&quot; :ids [list of strings, default [], default nil]: purchase IDs :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of IssuingTransaction structs with updated attributes","ref":"StarkInfra.IssuingTransaction.html#query/1","title":"StarkInfra.IssuingTransaction.query/1","type":"function"},{"doc":"","ref":"StarkInfra.IssuingTransaction.html#t:t/0","title":"StarkInfra.IssuingTransaction.t/0","type":"type"},{"doc":"# IssuingWithdrawal struct","ref":"StarkInfra.IssuingWithdrawal.html","title":"StarkInfra.IssuingWithdrawal","type":"module"},{"doc":"The IssuingWithdrawal structs created in your Workspace return cash from your Issuing balance to your Banking balance. Parameters (required): :amount [integer]: IssuingWithdrawal value in cents. Minimum = 0 (any value will be accepted). ex: 1234 (= R$ 12.34) :external_id [string] IssuingWithdrawal external ID. ex: &quot;12345&quot; :description [string]: IssuingWithdrawal description. ex: &quot;sending money back&quot; Parameters (optional): :tags [list of strings, default []]: list of strings for tagging. ex: [&quot;tony&quot;, &quot;stark&quot;] Attributes (return-only): :id [string]: unique id returned when IssuingWithdrawal is created. ex: &quot;5656565656565656&quot; :transaction_id [string]: Stark Infra ledger transaction ids linked to this IssuingWithdrawal :issuing_transaction_id [string]: issuing ledger transaction ids linked to this IssuingWithdrawal :updated [DateTime]: latest update DateTime for the IssuingWithdrawal. ex: ~U[2020-3-10 10:30:0:0] :created [DateTime]: creation datetime for the IssuingWithdrawal. ex: ~U[2020-03-10 10:30:0:0]","ref":"StarkInfra.IssuingWithdrawal.html#__struct__/0","title":"StarkInfra.IssuingWithdrawal.__struct__/0","type":"function"},{"doc":"Same as create(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingWithdrawal.html#create!/2","title":"StarkInfra.IssuingWithdrawal.create!/2","type":"function"},{"doc":"Send a list of IssuingWithdrawal structs for creation in the Stark Infra API Parameters (required): :withdrawal [IssuingWithdrawal struct]: IssuingWithdrawal struct to be created in the API. Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: IssuingWithdrawal struct with updated attributes","ref":"StarkInfra.IssuingWithdrawal.html#create/2","title":"StarkInfra.IssuingWithdrawal.create/2","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingWithdrawal.html#get!/2","title":"StarkInfra.IssuingWithdrawal.get!/2","type":"function"},{"doc":"Receive a single IssuingWithdrawal struct previously created in the Stark Infra API by its id Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: IssuingWithdrawal struct with updated attributes","ref":"StarkInfra.IssuingWithdrawal.html#get/2","title":"StarkInfra.IssuingWithdrawal.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingWithdrawal.html#page!/1","title":"StarkInfra.IssuingWithdrawal.page!/1","type":"function"},{"doc":"Receive a list of IssuingWithdrawal structs previously created in the Stark Infra API and the cursor to the next page. Options: :limit [integer, default 100]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :external_ids [list of strings, default []]: external IDs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :tags [list of strings, default nil]: tags to filter retrieved structs. ex: [&quot;tony&quot;, &quot;stark&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of IssuingWithdrawal structs with updated attributes cursor to retrieve the next page of IssuingWithdrawal structs","ref":"StarkInfra.IssuingWithdrawal.html#page/1","title":"StarkInfra.IssuingWithdrawal.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.IssuingWithdrawal.html#query!/1","title":"StarkInfra.IssuingWithdrawal.query!/1","type":"function"},{"doc":"Receive a stream of IssuingWithdrawal structs previously created in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :external_ids [list of strings, default []]: external IDs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :after [Date or string, default nil]: date filter for structs created only after specified date. ex: ~D[2020-03-25] :before [Date or string, default nil]: date filter for structs created only before specified date. ex: ~D[2020-03-25] :tags [list of strings, default nil]: tags to filter retrieved structs. ex: [&quot;tony&quot;, &quot;stark&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of IssuingWithdrawals structs with updated attributes","ref":"StarkInfra.IssuingWithdrawal.html#query/1","title":"StarkInfra.IssuingWithdrawal.query/1","type":"function"},{"doc":"","ref":"StarkInfra.IssuingWithdrawal.html#t:t/0","title":"StarkInfra.IssuingWithdrawal.t/0","type":"type"},{"doc":"Used to generate API-compatible key pairs","ref":"StarkInfra.Key.html","title":"StarkInfra.Key","type":"module"},{"doc":"Generates a secp256k1 ECDSA private/public key pair to be used in the API authentications Parameters (optional): path [string, default nil]: path to save the keys .pem files. No files will be saved if this parameter isn't provided.","ref":"StarkInfra.Key.html#create/1","title":"StarkInfra.Key.create/1","type":"function"},{"doc":"Groups PixBalance related functions","ref":"StarkInfra.PixBalance.html","title":"StarkInfra.PixBalance","type":"module"},{"doc":"The PixBalance struct displays the current balance of the Workspace, which is the result of the sum of all transactions within this Workspace. The balance is never generated by the user, but it can be retrieved to see the available information. Attributes (return-only): :id [string]: unique id returned when Balance is created. ex: &quot;5656565656565656&quot; :amount [integer]: current balance amount of the Workspace in cents. ex: 200 (= R$ 2.00) :currency [string]: currency of the current Workspace. Expect others to be added eventually. ex: &quot;BRL&quot; :updated [DateTime]: latest update DateTime for the PixBalance. ex: ~U[2020-3-10 10:30:0:0]","ref":"StarkInfra.PixBalance.html#__struct__/0","title":"StarkInfra.PixBalance.__struct__/0","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixBalance.html#get!/1","title":"StarkInfra.PixBalance.get!/1","type":"function"},{"doc":"Receive the PixBalance struct linked to your Workspace in the Stark Infra API Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of PixBalance struct with updated attributes","ref":"StarkInfra.PixBalance.html#get/1","title":"StarkInfra.PixBalance.get/1","type":"function"},{"doc":"","ref":"StarkInfra.PixBalance.html#t:t/0","title":"StarkInfra.PixBalance.t/0","type":"type"},{"doc":"Groups PixChargeback related functions","ref":"StarkInfra.PixChargeback.html","title":"StarkInfra.PixChargeback","type":"module"},{"doc":"A Pix chargeback can be created when fraud is detected on a transaction or a system malfunction results in an erroneous transaction. It notifies another participant of your request to reverse the payment they have received. When you initialize a PixChargeback, the entity will not be automatically created in the Stark Infra API. The 'create' function sends the objects to the Stark Infra API and returns the created struct. Parameters (required): :amount [integer]: amount in cents to be reversed. ex: 11234 (= R$ 112.34) :reference_id [string]: end_to_end_id or return_id of the transaction to be reversed. ex: &quot;E20018183202201201450u34sDGd19lz&quot; :reason [string]: reason why the reversal was requested. Options: &quot;fraud&quot;, &quot;flaw&quot;, &quot;reversalChargeback&quot; Parameters (optional): :description [string, default nil]: description for the PixChargeback. Attributes (return-only): :id [string]: unique id returned when the PixChargeback is created. ex: &quot;5656565656565656&quot; :analysis [string]: analysis that led to the result. :bacen_id [string]: central bank's unique UUID that identifies the PixChargeback. :sender_bank_code [string]: bank_code of the Pix participant that created the PixChargeback. ex: &quot;20018183&quot; :receiver_bank_code [string]: bank_code of the Pix participant that received the PixChargeback. ex: &quot;20018183&quot; :rejection_reason [string]: reason for the rejection of the Pix chargeback. Options: &quot;noBalance&quot;, &quot;accountClosed&quot;, &quot;unableToReverse&quot; :reversal_reference_id [string]: return id of the reversal transaction. ex: &quot;D20018183202202030109X3OoBHG74wo&quot;. :result [string]: result after the analysis of the PixChargeback by the receiving party. Options: &quot;rejected&quot;, &quot;accepted&quot;, &quot;partiallyAccepted&quot; :status [string]: current PixChargeback status. Options: &quot;created&quot;, &quot;failed&quot;, &quot;delivered&quot;, &quot;closed&quot;, &quot;canceled&quot;. :created [DateTime]: creation datetime for the PixChargeback. ex: ~U[2020-3-10 10:30:0:0] :updated [DateTime]: latest update datetime for the PixChargeback. ex: ~U[2020-3-10 10:30:0:0]","ref":"StarkInfra.PixChargeback.html#__struct__/0","title":"StarkInfra.PixChargeback.__struct__/0","type":"function"},{"doc":"Same as cancel(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixChargeback.html#cancel!/2","title":"StarkInfra.PixChargeback.cancel!/2","type":"function"},{"doc":"Cancel a PixChargeback entity previously created in the Stark Infra API Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: canceled PixChargeback struct","ref":"StarkInfra.PixChargeback.html#cancel/2","title":"StarkInfra.PixChargeback.cancel/2","type":"function"},{"doc":"Same as create(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixChargeback.html#create!/2","title":"StarkInfra.PixChargeback.create!/2","type":"function"},{"doc":"Create a PixChargeback in the Stark Infra API Parameters (required): :chargebacks [list of PixChargeback]: list of PixChargeback structs to be created in the API. Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of PixChargeback structs with updated attributes","ref":"StarkInfra.PixChargeback.html#create/2","title":"StarkInfra.PixChargeback.create/2","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixChargeback.html#get!/2","title":"StarkInfra.PixChargeback.get!/2","type":"function"},{"doc":"Retrieve the PixChargeback struct linked to your Workspace in the Stark Infra API using its id. Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot;. Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixChargeback struct that corresponds to the given id.","ref":"StarkInfra.PixChargeback.html#get/2","title":"StarkInfra.PixChargeback.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixChargeback.html#page!/1","title":"StarkInfra.PixChargeback.page!/1","type":"function"},{"doc":"Receive a stream of PixChargebacks structs previously created in the Stark Infra API Options: :cursor [string, default nil]: cursor returned on the previous page function call. :limit [integer, default 100]: maximum number of structs to be retrieved. Max = 100. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020-03-10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020-03-10] :status [list of strings, default nil]: filter for status of retrieved objects. ex: [&quot;created&quot;, &quot;failed&quot;, &quot;delivered&quot;, &quot;closed&quot;, &quot;canceled&quot;] :ids [list of strings, default nil]: list of ids to filter retrieved objects. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of PixChargeback structs with updated attributes cursor to retrieve the next page of PixChargeback objects","ref":"StarkInfra.PixChargeback.html#page/1","title":"StarkInfra.PixChargeback.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixChargeback.html#query!/1","title":"StarkInfra.PixChargeback.query!/1","type":"function"},{"doc":"Receive a stream of PixChargebacks structs previously created in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020-03-10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020-03-10] :status [list of strings, default nil]: filter for status of retrieved objects. ex: [&quot;created&quot;, &quot;failed&quot;, &quot;delivered&quot;, &quot;closed&quot;, &quot;canceled&quot;] :ids [list of strings, default nil]: list of ids to filter retrieved objects. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of PixChargeback structs with updated attributes","ref":"StarkInfra.PixChargeback.html#query/1","title":"StarkInfra.PixChargeback.query/1","type":"function"},{"doc":"Same as update(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixChargeback.html#update!/3","title":"StarkInfra.PixChargeback.update!/3","type":"function"},{"doc":"Respond to a received PixChargeback. Parameters (required): :id [string]: PixChargeback id. ex: '5656565656565656' :result [string]: result after the analysis of the PixChargeback. Options: &quot;rejected&quot;, &quot;accepted&quot;, &quot;partiallyAccepted&quot;. Parameters (conditionally required): rejection_reason [string, default nil]: if the PixChargeback is rejected a reason is required. Options: &quot;noBalance&quot;, &quot;accountClosed&quot;, &quot;unableToReverse&quot;, reversal_reference_id [string, default nil]: return_id of the reversal transaction. ex: &quot;D20018183202201201450u34sDGd19lz&quot; Parameters (optional): analysis [string, default nil]: description of the analysis that led to the result. :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixChargeback with updated attributes","ref":"StarkInfra.PixChargeback.html#update/3","title":"StarkInfra.PixChargeback.update/3","type":"function"},{"doc":"","ref":"StarkInfra.PixChargeback.html#t:t/0","title":"StarkInfra.PixChargeback.t/0","type":"type"},{"doc":"Groups PixChargeback.Log related functions","ref":"StarkInfra.PixChargeback.Log.html","title":"StarkInfra.PixChargeback.Log","type":"module"},{"doc":"Every time a PixChargeback entity is modified, a corresponding PixChargeback.Log is generated for the entity. This log is never generated by the user. Attributes: :id [string]: unique id returned when the log is created. ex: &quot;5656565656565656&quot; :type [string]: type of the PixChargeback event which triggered the log creation. ex: &quot;created&quot;, &quot;failed&quot;, &quot;delivering&quot;, &quot;delivered&quot;, &quot;closed&quot;, &quot;canceled&quot; :errors [list of strings]: list of errors linked to this PixChargeback event :chargeback [PixChargeback]: PixChargeback entity to which the log refers to. :created [DateTime]: creation datetime for the log. ex: ~U[2020-3-10 10:30:0:0]","ref":"StarkInfra.PixChargeback.Log.html#__struct__/0","title":"StarkInfra.PixChargeback.Log.__struct__/0","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixChargeback.Log.html#get!/2","title":"StarkInfra.PixChargeback.Log.get!/2","type":"function"},{"doc":"Receive a single PixChargeback.Log struct previously created by the Stark Infra API by its id Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixChargeback.Log struct with updated attributes","ref":"StarkInfra.PixChargeback.Log.html#get/2","title":"StarkInfra.PixChargeback.Log.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixChargeback.Log.html#page!/1","title":"StarkInfra.PixChargeback.Log.page!/1","type":"function"},{"doc":"Receive a list of up to 100 PixChargeback.Log structs previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your chargebacks. Options: :cursor [string, default nil]: cursor returned on the previous page function call :ids [list of strings, default nil]: Log ids to filter PixChargeback Logs. ex: [&quot;5656565656565656&quot;] :limit [integer, default 100]: maximum number of structs to be retrieved. Max = 100. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020-03-10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020-03-10] :types [list of strings, default nil]: filter retrieved structs by types. ex: [&quot;created&quot;, &quot;failed&quot;, &quot;delivering&quot;, &quot;delivered&quot;, &quot;closed&quot;, &quot;canceled&quot;] :chargeback_ids [list of strings, default nil]: list of PixChargeback IDs to filter retrieved objects. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of PixChargeback.Log structs with updated attributes cursor to retrieve the next page of PixChargeback.Log objects","ref":"StarkInfra.PixChargeback.Log.html#page/1","title":"StarkInfra.PixChargeback.Log.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixChargeback.Log.html#query!/1","title":"StarkInfra.PixChargeback.Log.query!/1","type":"function"},{"doc":"Receive a stream of PixChargeback.Log structs previously created in the Stark Infra API Options: :ids [list of strings, default nil]: Log ids to filter PixChargeback Logs. ex: [&quot;5656565656565656&quot;] :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created after specified date. ex: ~D[2020-03-10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020-03-10] :types [list of strings, default nil]: filter retrieved structs by types. ex: [&quot;created&quot;, &quot;failed&quot;, &quot;delivering&quot;, &quot;delivered&quot;, &quot;closed&quot;, &quot;canceled&quot;] :chargeback_ids [list of strings, default nil]: list of PixChargeback IDs to filter retrieved objects. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of PixChargeback.Log structs with updated attributes","ref":"StarkInfra.PixChargeback.Log.html#query/1","title":"StarkInfra.PixChargeback.Log.query/1","type":"function"},{"doc":"","ref":"StarkInfra.PixChargeback.Log.html#t:t/0","title":"StarkInfra.PixChargeback.Log.t/0","type":"type"},{"doc":"Groups PixClaim related functions","ref":"StarkInfra.PixClaim.html","title":"StarkInfra.PixClaim","type":"module"},{"doc":"PixClaims intend to transfer a PixKey from one account to another. When you initialize a PixClaim, the entity will not be automatically created in the Stark Infra API. The 'create' function sends the structs to the Stark Infra API and returns the created struct. Parameters (required): :account_created [Date, DateTime or string]: opening Date or DateTime for the account claiming the PixKey. ex: &quot;2022-01-01&quot;. :account_number [string]: number of the account claiming the PixKey. ex: &quot;76543&quot;. :account_type [string]: type of the account claiming the PixKey. Options: &quot;checking&quot;, &quot;savings&quot;, &quot;salary&quot; or &quot;payment&quot;. :branch_code [string]: branch code of the account claiming the PixKey. ex: 1234&quot;. :name [string]: holder's name of the account claiming the PixKey. ex: &quot;Jamie Lannister&quot;. :tax_id [string]: holder's taxId of the account claiming the PixKey (CPF/CNPJ). ex: &quot;012.345.678-90&quot;. :key_id [string]: id of the registered Pix Key to be claimed. Allowed keyTypes are CPF, CNPJ, phone number or email. ex: &quot;+5511989898989&quot;. Attributes (return-only): :id [string]: unique id returned when the PixClaim is created. ex: &quot;5656565656565656&quot; :status [string]: current PixClaim status. Options: &quot;created&quot;, &quot;failed&quot;, &quot;delivered&quot;, &quot;confirmed&quot;, &quot;success&quot;, &quot;canceled&quot; :type [string]: type of Pix Claim. Options: &quot;ownership&quot;, &quot;portability&quot;. :key_type [string]: keyType of the claimed PixKey. Options: &quot;CPF&quot;, &quot;CNPJ&quot;, &quot;phone&quot; or &quot;email&quot; :agent [string]: Options: &quot;claimer&quot; if you requested the PixClaim or &quot;claimed&quot; if you received a PixClaim request. :bank_code [string]: bank_code of the account linked to the PixKey being claimed. ex: &quot;20018183&quot;. :claimed_bank_code [string]: bank_code of the account donating the PixKey. ex: &quot;20018183&quot;. :created [DateTime]: creation DateTime for the PixClaim. ex: ~U[2020-3-10 10:30:0:0] :updated [DateTime]: update DateTime for the PixClaim. ex: ~U[2020-3-10 10:30:0:0]","ref":"StarkInfra.PixClaim.html#__struct__/0","title":"StarkInfra.PixClaim.__struct__/0","type":"function"},{"doc":"Same as create, but it will unwrap the error tuple and raise in case of error.","ref":"StarkInfra.PixClaim.html#create!/2","title":"StarkInfra.PixClaim.create!/2","type":"function"},{"doc":"Create a PixClaim to request the transfer of a PixKey to an account hosted at other Pix participants in the Stark Infra API. Parameters (required): :claim [PixClaim struct]: PixClaim struct to be created in the API. Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixClaim struct with updated attributes.","ref":"StarkInfra.PixClaim.html#create/2","title":"StarkInfra.PixClaim.create/2","type":"function"},{"doc":"Same as get, but it will unwrap the error tuple and raise in case of error.","ref":"StarkInfra.PixClaim.html#get!/2","title":"StarkInfra.PixClaim.get!/2","type":"function"},{"doc":"Retrieve a PixClaim struct linked to your Workspace in the Stark Infra API by its id. Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixClaim struct that corresponds to the given id.","ref":"StarkInfra.PixClaim.html#get/2","title":"StarkInfra.PixClaim.get/2","type":"function"},{"doc":"Same as page, but it will unwrap the error tuple and raise in case of error.","ref":"StarkInfra.PixClaim.html#page!/1","title":"StarkInfra.PixClaim.page!/1","type":"function"},{"doc":"Receive a list of up to 100 PixClaims structs previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your requests. Options: :cursor [string, default nil]: cursor returned on the previous page function call. :limit [integer, default 100]: maximum number of structs to be retrieved. Max = 100. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020, 3, 10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020, 3, 10] :status [list of strings, default nil]: filter for status of retrieved structs. Options: &quot;created&quot;, &quot;failed&quot;, &quot;delivered&quot;, &quot;confirmed&quot;, &quot;success&quot;, &quot;canceled&quot; :ids [list of strings, default nil]: list of ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :type [strings, default nil]: filter for the type of retrieved PixClaims. Options: &quot;ownership&quot; or &quot;portability&quot;. :agent [string, default nil]: filter for the agent of retrieved PixClaims. Options: &quot;claimer&quot; or &quot;claimed&quot;. :key_type [string, default nil]: filter for the PixKey type of retrieved PixClaims. Options: &quot;cpf&quot;, &quot;cnpj&quot;, &quot;phone&quot;, &quot;email&quot;, &quot;evp&quot;. :key_id [string, default nil]: filter PixClaims linked to a specific PixKey id. Example: &quot;+5511989898989&quot;. :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: cursor to retrieve the next page of PixClaim structs stream of PixClaim structs with updated attributes","ref":"StarkInfra.PixClaim.html#page/1","title":"StarkInfra.PixClaim.page/1","type":"function"},{"doc":"Same as query, but it will unwrap the error tuple and raise in case of error.","ref":"StarkInfra.PixClaim.html#query!/1","title":"StarkInfra.PixClaim.query!/1","type":"function"},{"doc":"Receive a stream of PixClaims structs previously created in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020-03-10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020-03-10] :status [list of strings, default nil]: filter for status of retrieved structs. Options: &quot;created&quot;, &quot;failed&quot;, &quot;delivered&quot;, &quot;confirmed&quot;, &quot;success&quot;, &quot;canceled&quot;. :ids [list of strings, default nil]: list of ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :type [strings, default nil]: filter for the type of retrieved PixClaims. Options: &quot;ownership&quot; or &quot;portability&quot;. :agent [string, default nil]: filter for the agent of retrieved PixClaims. Options: &quot;claimer&quot; or &quot;claimed&quot;. :key_type [string, default nil]: filter for the PixKey type of retrieved PixClaims. Options: &quot;cpf&quot;, &quot;cnpj&quot;, &quot;phone&quot;, &quot;email&quot;, &quot;evp&quot;. :key_id [string, default nil]: filter PixClaims linked to a specific PixKey id. Example: &quot;+5511989898989&quot;. :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of PixClaim structs with updated attributes","ref":"StarkInfra.PixClaim.html#query/1","title":"StarkInfra.PixClaim.query/1","type":"function"},{"doc":"Same as update, but it will unwrap the error tuple and raise in case of error.","ref":"StarkInfra.PixClaim.html#update!/3","title":"StarkInfra.PixClaim.update!/3","type":"function"},{"doc":"Update a PixClaim parameters by passing id. Parameters (required): :id [string]: PixClaim id. ex: '5656565656565656' :status [string]: patched status for Pix Claim. Options: &quot;confirmed&quot; and &quot;canceled&quot; Parameters (optional): :reason [string, default: &quot;userRequested&quot;]: reason why the PixClaim is being patched. Options: &quot;fraud&quot;, &quot;userRequested&quot;. :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixClaim with updated attributes","ref":"StarkInfra.PixClaim.html#update/3","title":"StarkInfra.PixClaim.update/3","type":"function"},{"doc":"","ref":"StarkInfra.PixClaim.html#t:t/0","title":"StarkInfra.PixClaim.t/0","type":"type"},{"doc":"Groups PixClaim.Log related functions","ref":"StarkInfra.PixClaim.Log.html","title":"StarkInfra.PixClaim.Log","type":"module"},{"doc":"Every time a PixClaim entity is modified, a corresponding PixClaim.Log is generated for the entity. This log is never generated by the user. Attributes: :id [string]: unique id returned when the log is created. ex: &quot;5656565656565656&quot; :created [DateTime]: creation datetime for the log. ex: ~U[2020-3-10 10:30:0:0] :type [string]: type of the PixClaim event which triggered the log creation. Options: “created”, “failed”, “delivering”, “delivered”, “confirming”, “confirmed”, “success”, “canceling” and “canceled”. :errors [list of strings]: list of errors linked to this PixClaim event :agent [string]: agent that modified the PixClaim resulting in the Log. Options: &quot;claimer&quot;, &quot;claimed&quot;. :reason [string]: reason why the PixClaim was modified, resulting in the Log. Options: &quot;fraud&quot;, &quot;userRequested&quot;, &quot;accountClosure&quot;, &quot;defaultOperation&quot;, &quot;reconciliation&quot;. :claim [PixClaim]: PixClaim entity to which the log refers to.","ref":"StarkInfra.PixClaim.Log.html#__struct__/0","title":"StarkInfra.PixClaim.Log.__struct__/0","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixClaim.Log.html#get!/2","title":"StarkInfra.PixClaim.Log.get!/2","type":"function"},{"doc":"Receive a single PixClaim.Log struct previously created by the Stark Infra API by its id Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixClaim.Log struct with updated attributes","ref":"StarkInfra.PixClaim.Log.html#get/2","title":"StarkInfra.PixClaim.Log.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixClaim.Log.html#page!/1","title":"StarkInfra.PixClaim.Log.page!/1","type":"function"},{"doc":"Receive a list of up to 100 PixClaim.Log structs previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your claims. Options: :cursor [string, default nil]: cursor returned on the previous page function call :ids [list of strings, default nil]: Log ids to filter PixClaim Logs. ex: [&quot;5656565656565656&quot;] :limit [integer, default 100]: maximum number of structs to be retrieved. Max = 100. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020, 3, 10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020, 3, 10] :types [list of strings, default nil]: filter retrieved structs by types. Options: “created”, “failed”, “delivering”, “delivered”, “confirming”, “confirmed”, “success”, “canceling” and “canceled” :claim_ids [list of strings, default nil]: list of PixClaim IDs to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of PixClaim.Log structs with updated attributes cursor to retrieve the next page of PixClaim.Log structs","ref":"StarkInfra.PixClaim.Log.html#page/1","title":"StarkInfra.PixClaim.Log.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixClaim.Log.html#query!/1","title":"StarkInfra.PixClaim.Log.query!/1","type":"function"},{"doc":"Receive a stream of PixClaim.Log structs previously created in the Stark Infra API Options: :ids [list of strings, default nil]: Log ids to filter PixClaim Logs. ex: [&quot;5656565656565656&quot;] :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created after specified date. ex: ~D[2020, 3, 10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020, 3, 10] :types [list of strings, default nil]: filter retrieved structs by types. Options: “created”, “failed”, “delivering”, “delivered”, “confirming”, “confirmed”, “success”, “canceling” and “canceled” :claim_ids [list of strings, default nil]: list of PixClaim ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of PixClaim.Log structs with updated attributes","ref":"StarkInfra.PixClaim.Log.html#query/1","title":"StarkInfra.PixClaim.Log.query/1","type":"function"},{"doc":"","ref":"StarkInfra.PixClaim.Log.html#t:t/0","title":"StarkInfra.PixClaim.Log.t/0","type":"type"},{"doc":"Groups PixDirector related functions","ref":"StarkInfra.PixDirector.html","title":"StarkInfra.PixDirector","type":"module"},{"doc":"The PixDomain struct displays the domain name and the QR Code domain certificate of Pix participants. All certificates must be registered with the Central Bank. Parameters (required): :name [string]: name of the PixDirector. ex: &quot;Edward Stark&quot;. :tax_id [string]: tax ID (CPF/CNPJ) of the PixDirector. ex: &quot;03.300.300/0001-00&quot; :phone [string]: phone of the PixDirector. ex: &quot;+551198989898&quot; :email [string]: email of the PixDirector. ex: &quot;ned.stark@starkbank.com&quot; :password [string]: password of the PixDirector. ex: &quot;12345678&quot; :team_email [string]: team email. ex: &quot;aria.stark@starkbank.com&quot; :team_phones [list of strings]: list of phones of the team. ex: [&quot;+5511988889999&quot;, &quot;+5511988889998&quot;] Attributes (return-only): :id [string]: unique id returned when the PixDirector is created. ex: &quot;5656565656565656&quot; :status [string]: current PixDirector status. ex: &quot;success&quot;","ref":"StarkInfra.PixDirector.html#__struct__/0","title":"StarkInfra.PixDirector.__struct__/0","type":"function"},{"doc":"Same as create(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixDirector.html#create!/2","title":"StarkInfra.PixDirector.create!/2","type":"function"},{"doc":"Send a PixDirector struct for creation in the Stark Infra API Parameters (required): :director [PixDirector struct]: PixDirector struct to be created in the API Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixDirector struct with updated attributes","ref":"StarkInfra.PixDirector.html#create/2","title":"StarkInfra.PixDirector.create/2","type":"function"},{"doc":"","ref":"StarkInfra.PixDirector.html#t:t/0","title":"StarkInfra.PixDirector.t/0","type":"type"},{"doc":"Groups PixDomain related functions","ref":"StarkInfra.PixDomain.html","title":"StarkInfra.PixDomain","type":"module"},{"doc":"The PixDomain struct displays the QR Code domain certificate information of Pix participants. All certificates must be registered with the Central Bank. Attributes (return-only): certificates [list of PixDomain.Certificate]: certificate information of the Pix participant. name [string]: current active domain (URL) of the Pix participant.","ref":"StarkInfra.PixDomain.html#__struct__/0","title":"StarkInfra.PixDomain.__struct__/0","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixDomain.html#query!/1","title":"StarkInfra.PixDomain.query!/1","type":"function"},{"doc":"Receive a stream of PixDomain objects. Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of PixDomain structs with updated attributes","ref":"StarkInfra.PixDomain.html#query/1","title":"StarkInfra.PixDomain.query/1","type":"function"},{"doc":"","ref":"StarkInfra.PixDomain.html#t:t/0","title":"StarkInfra.PixDomain.t/0","type":"type"},{"doc":"Groups pixdomain.Certificate related functions","ref":"StarkInfra.PixDomain.Certificate.html","title":"StarkInfra.PixDomain.Certificate","type":"module"},{"doc":"The Certificate struct displays the certificate information from a specific domain. Attributes (return-only): content [string]: certificate of the Pix participant in PEM format.","ref":"StarkInfra.PixDomain.Certificate.html#__struct__/0","title":"StarkInfra.PixDomain.Certificate.__struct__/0","type":"function"},{"doc":"","ref":"StarkInfra.PixDomain.Certificate.html#t:t/0","title":"StarkInfra.PixDomain.Certificate.t/0","type":"type"},{"doc":"Groups PixInfraction related functions","ref":"StarkInfra.PixInfraction.html","title":"StarkInfra.PixInfraction","type":"module"},{"doc":"PixInfraction are used to report transactions that are suspected of fraud, to request a refund or to reverse a refund. When you initialize a PixInfraction, the entity will not be automatically created in the Stark Infra API. The 'create' function sends the objects to the Stark Infra API and returns the created struct. Parameters (required): :reference_id [string]: end_to_end_id or return_id of the transaction being reported. ex: &quot;E20018183202201201450u34sDGd19lz&quot; :type [string]: type of infraction report. Options: &quot;fraud&quot;, &quot;reversal&quot;, &quot;reversalChargeback&quot; Parameters (optional): :description [string, default nil]: description for any details that can help with the infraction investigation. Attributes (return-only): id [string]: unique id returned when the PixInfraction is created. ex: &quot;5656565656565656&quot; credited_bank_code [string]: bank_code of the credited Pix participant in the reported transaction. ex: &quot;20018183&quot; debited_bank_code [string]: bank_code of the debited Pix participant in the reported transaction. ex: &quot;20018183&quot; agent [string]: Options: &quot;reporter&quot; if you created the PixInfraction, &quot;reported&quot; if you received the PixInfraction. analysis [string]: analysis that led to the result. bacen_id [string]: central bank's unique UUID that identifies the infraction report. reported_by [string]: agent that reported the PixInfraction. Options: &quot;debited&quot;, &quot;credited&quot;. result [string]: result after the analysis of the PixInfraction by the receiving party. Options: &quot;agreed&quot;, &quot;disagreed&quot; status [string]: current PixInfraction status. Options: &quot;created&quot;, &quot;failed&quot;, &quot;delivered&quot;, &quot;closed&quot;, &quot;canceled&quot;. created [DateTime]: creation datetime for the PixInfraction. ex: ~U[2020-3-10 10:30:0:0] updated [DateTime]: latest update datetime for the PixInfraction. ex: ~U[2020-3-10 10:30:0:0]","ref":"StarkInfra.PixInfraction.html#__struct__/0","title":"StarkInfra.PixInfraction.__struct__/0","type":"function"},{"doc":"Same as cancel(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixInfraction.html#cancel!/2","title":"StarkInfra.PixInfraction.cancel!/2","type":"function"},{"doc":"Cancel a PixInfraction entity previously created in the Stark Infra API Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: canceled PixInfraction struct","ref":"StarkInfra.PixInfraction.html#cancel/2","title":"StarkInfra.PixInfraction.cancel/2","type":"function"},{"doc":"Same as create(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixInfraction.html#create!/2","title":"StarkInfra.PixInfraction.create!/2","type":"function"},{"doc":"Create PixInfractions in the Stark Infra API Parameters (required): :infractions [list of PixInfraction]: list of PixInfraction structs to be created in the API. Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of PixInfraction structs with updated attributes","ref":"StarkInfra.PixInfraction.html#create/2","title":"StarkInfra.PixInfraction.create/2","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixInfraction.html#get!/2","title":"StarkInfra.PixInfraction.get!/2","type":"function"},{"doc":"Retrieve the PixInfraction struct linked to your Workspace in the Stark Infra API using its id. Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot;. Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixInfraction struct that corresponds to the given id.","ref":"StarkInfra.PixInfraction.html#get/2","title":"StarkInfra.PixInfraction.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixInfraction.html#page!/1","title":"StarkInfra.PixInfraction.page!/1","type":"function"},{"doc":"Receive a list of up to 100 PixInfractions structs previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your requests. Options: :cursor [string, default nil]: cursor returned on the previous page function call. :limit [integer, default 100]: maximum number of structs to be retrieved. Max = 100. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020-03-10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020-03-10] :status [list of strings, default nil]: filter for status of retrieved objects. ex: [&quot;created&quot;, &quot;failed&quot;, &quot;delivered&quot;, &quot;closed&quot;, &quot;canceled&quot;] :ids [list of strings, default nil]: list of ids to filter retrieved objects. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :type [list of strings, default nil]: filter for the type of retrieved PixInfractions. Options: &quot;fraud&quot;, &quot;reversal&quot;, &quot;reversalChargeback&quot; :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of PixInfraction structs with updated attributes and cursor to retrieve the next page of PixInfraction objects","ref":"StarkInfra.PixInfraction.html#page/1","title":"StarkInfra.PixInfraction.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixInfraction.html#query!/1","title":"StarkInfra.PixInfraction.query!/1","type":"function"},{"doc":"Receive a stream of PixInfractions structs previously created in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020-03-10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020-03-10] :status [list of strings, default nil]: filter for status of retrieved objects. ex: [&quot;created&quot;, &quot;failed&quot;, &quot;delivered&quot;, &quot;closed&quot;, &quot;canceled&quot;] :ids [list of strings, default nil]: list of ids to filter retrieved objects. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :type [list of strings, default nil]: filter for the type of retrieved PixInfractions. Options: &quot;fraud&quot;, &quot;reversal&quot;, &quot;reversalChargeback&quot; :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of PixInfraction structs with updated attributes","ref":"StarkInfra.PixInfraction.html#query/1","title":"StarkInfra.PixInfraction.query/1","type":"function"},{"doc":"Same as update(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixInfraction.html#update!/3","title":"StarkInfra.PixInfraction.update!/3","type":"function"},{"doc":"Respond to a received PixInfraction. Parameters (required): :id [string]: PixInfraction id. ex: '5656565656565656' :result [string]: result after the analysis of the PixInfraction. Options: &quot;agreed&quot;, &quot;disagreed&quot; Parameters (optional): :analysis [string, default nil]: analysis that led to the result. :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixInfraction with updated attributes","ref":"StarkInfra.PixInfraction.html#update/3","title":"StarkInfra.PixInfraction.update/3","type":"function"},{"doc":"","ref":"StarkInfra.PixInfraction.html#t:t/0","title":"StarkInfra.PixInfraction.t/0","type":"type"},{"doc":"Groups PixInfraction.Log related functions","ref":"StarkInfra.PixInfraction.Log.html","title":"StarkInfra.PixInfraction.Log","type":"module"},{"doc":"Every time a PixInfraction entity is modified, a corresponding PixInfraction.Log is generated for the entity. This log is never generated by the user. Attributes: :id [string]: unique id returned when the log is created. ex: &quot;5656565656565656&quot; :created [DateTime]: creation datetime for the log. ex: ~U[2020-3-10 10:30:0:0] :type [string]: type of the PixInfraction event which triggered the log creation. ex: &quot;created&quot;, &quot;failed&quot;, &quot;delivering&quot;, &quot;delivered&quot;, &quot;closed&quot;, &quot;canceled&quot; :errors [list of strings]: list of errors linked to this PixInfraction event :infraction [PixInfraction]: PixInfraction entity to which the log refers to.","ref":"StarkInfra.PixInfraction.Log.html#__struct__/0","title":"StarkInfra.PixInfraction.Log.__struct__/0","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixInfraction.Log.html#get!/2","title":"StarkInfra.PixInfraction.Log.get!/2","type":"function"},{"doc":"Receive a single PixInfraction.Log struct previously created by the Stark Infra API by its id Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixInfraction.Log struct with updated attributes","ref":"StarkInfra.PixInfraction.Log.html#get/2","title":"StarkInfra.PixInfraction.Log.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixInfraction.Log.html#page!/1","title":"StarkInfra.PixInfraction.Log.page!/1","type":"function"},{"doc":"Receive a list of up to 100 PixInfraction.Log structs previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your infractions. Options: :cursor [string, default nil]: cursor returned on the previous page function call :ids [list of strings, default nil]: Log ids to filter PixInfraction Logs. ex: [&quot;5656565656565656&quot;] :limit [integer, default 100]: maximum number of structs to be retrieved. Max = 100. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020-03-10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020-03-10] :types [list of strings, default nil]: filter retrieved structs by types. ex: [&quot;created&quot;, &quot;failed&quot;, &quot;delivering&quot;, &quot;delivered&quot;, &quot;closed&quot;, &quot;canceled&quot;] :infraction_ids [list of strings, default nil]: list of PixInfraction ids to filter retrieved objects. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of PixInfraction.Log structs with updated attributes cursor to retrieve the next page of PixInfraction.Log objects","ref":"StarkInfra.PixInfraction.Log.html#page/1","title":"StarkInfra.PixInfraction.Log.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixInfraction.Log.html#query!/1","title":"StarkInfra.PixInfraction.Log.query!/1","type":"function"},{"doc":"Receive a stream of PixInfraction.Log structs previously created in the Stark Infra API Options: :ids [list of strings, default nil]: Log ids to filter PixInfraction Logs. ex: [&quot;5656565656565656&quot;] :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created after specified date. ex: ~D[2020-03-10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020-03-10] :types [list of strings, default nil]: filter retrieved structs by types. ex: [&quot;created&quot;, &quot;failed&quot;, &quot;delivering&quot;, &quot;delivered&quot;, &quot;closed&quot;, &quot;canceled&quot;] :infraction_ids [list of strings, default nil]: list of PixInfraction IDs to filter retrieved objects. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of PixInfraction.Log structs with updated attributes","ref":"StarkInfra.PixInfraction.Log.html#query/1","title":"StarkInfra.PixInfraction.Log.query/1","type":"function"},{"doc":"","ref":"StarkInfra.PixInfraction.Log.html#t:t/0","title":"StarkInfra.PixInfraction.Log.t/0","type":"type"},{"doc":"Groups PixKey related functions","ref":"StarkInfra.PixKey.html","title":"StarkInfra.PixKey","type":"module"},{"doc":"PixKeys link bank account information to key ids. Key ids are a convenient way to search and pass bank account information. When you initialize a Pix Key, the entity will not be automatically created in the Stark Infra API. The 'create' function sends the structs to the Stark Infra API and returns the created struct. Parameters (required): :account_created [Date, DateTime or string]: opening Date or DateTime for the linked account. ex: &quot;2022-01-01&quot;. :account_number [string]: number of the linked account. ex: &quot;76543&quot;. :account_type [string]: type of the linked account. Options: &quot;checking&quot;, &quot;savings&quot;, &quot;salary&quot; or &quot;payment&quot;. :branch_code [string]: branch code of the linked account. ex: 1234. :name [string]: holder's name of the linked account. ex: &quot;Jamie Lannister&quot;. :tax_id [string]: holder's taxId (CPF/CNPJ) of the linked account. ex: &quot;012.345.678-90&quot;. Parameters (optional): :id [string, default nil]: id of the registered PixKey. Allowed types are: CPF, CNPJ, phone number or email. If this parameter is not passed, an EVP will be created. ex: &quot;+5511989898989&quot;; :tags [list of strings, default nil]: list of strings for reference when searching for PixKeys. ex: [&quot;employees&quot;, &quot;monthly&quot;] Attributes (return-only): :owned [DateTime]: datetime when the key was owned by the holder. ex: ~U[2020-3-10 10:30:0:0] :owner_type [string]: type of the owner of the PixKey. Options: &quot;business&quot; or &quot;individual&quot;. :status [string]: current PixKey status. Options: &quot;created&quot;, &quot;registered&quot;, &quot;canceled&quot;, &quot;failed&quot; :bank_code [string]: bank_code of the account linked to the Pix Key. ex: &quot;20018183&quot;. :bank_name [string]: name of the bank that holds the account linked to the PixKey. ex: &quot;StarkBank&quot; :type [string]: type of the PixKey. Options: &quot;cpf&quot;, &quot;cnpj&quot;, &quot;phone&quot;, &quot;email&quot; and &quot;evp&quot;, :created [DateTime]: creation datetime for the PixKey. ex: ~U[2020-03-10 10:30:0:0]","ref":"StarkInfra.PixKey.html#__struct__/0","title":"StarkInfra.PixKey.__struct__/0","type":"function"},{"doc":"Same as cancel(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixKey.html#cancel!/2","title":"StarkInfra.PixKey.cancel!/2","type":"function"},{"doc":"Delete a pixKey entity previously created in the Stark Infra API Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: canceled pixKey struct","ref":"StarkInfra.PixKey.html#cancel/2","title":"StarkInfra.PixKey.cancel/2","type":"function"},{"doc":"Same as create(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixKey.html#create!/2","title":"StarkInfra.PixKey.create!/2","type":"function"},{"doc":"Create a PixKey linked to a specific account in the Stark Infra API Options: :key [PixKey struct]: PixKey struct to be created in the API. Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixKey struct with updated attributes.","ref":"StarkInfra.PixKey.html#create/2","title":"StarkInfra.PixKey.create/2","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixKey.html#get!/3","title":"StarkInfra.PixKey.get!/3","type":"function"},{"doc":"Retrieve the PixKey struct linked to your Workspace in the Stark Infra API by its id. Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot;. :payer_id [string]: tax id (CPF/CNPJ) of the individual or business requesting the PixKey information. This id is used by the Central Bank to limit request rates. ex: &quot;20.018.183/0001-80&quot;. Options: :end_to_end_id [string, default nil]: central bank's unique transaction id. If the request results in the creation of a PixRequest, the same endToEndId should be used. If this parameter is not passed, one endToEndId will be automatically created. Example: &quot;E00002649202201172211u34srod19le&quot; :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixKey struct that corresponds to the given id.","ref":"StarkInfra.PixKey.html#get/3","title":"StarkInfra.PixKey.get/3","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixKey.html#page!/1","title":"StarkInfra.PixKey.page!/1","type":"function"},{"doc":"Receive a stream of PixKeys structs previously created in the Stark Infra API Options: :cursor [string, default nil]: cursor returned on the previous page function call. :limit [integer, default 100]: maximum number of structs to be retrieved. Max = 100. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020, 3, 10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020, 3, 10] :status [list of strings, default nil]: filter for status of retrieved structs. Options: &quot;created&quot;, &quot;failed&quot;, &quot;delivered&quot;, &quot;confirmed&quot;, &quot;success&quot;, &quot;canceled&quot; :tags [list of strings, default nil]: tags to filter retrieved structs. ex: [&quot;tony&quot;, &quot;stark&quot;] :ids [list of strings, default nil]: list of ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :type [list of strings, default nil]: filter for the type of retrieved PixKeys. Options: &quot;cpf&quot;, &quot;cnpj&quot;, &quot;phone&quot;, &quot;email&quot;, &quot;evp&quot;. :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: cursor to retrieve the next page of PixKey structs stream of PixKey structs with updated attributes","ref":"StarkInfra.PixKey.html#page/1","title":"StarkInfra.PixKey.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixKey.html#query!/1","title":"StarkInfra.PixKey.query!/1","type":"function"},{"doc":"Receive a stream of PixKeys structs previously created in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020, 3, 10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020, 3, 10] :status [list of strings, default nil]: filter for status of retrieved structs. Options: &quot;created&quot;, &quot;registered&quot;, &quot;canceled&quot;, &quot;failed&quot;. :tags [list of strings, default nil]: tags to filter retrieved structs. ex: [&quot;tony&quot;, &quot;stark&quot;] :ids [list of strings, default nil]: list of ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :type [list of strings, default nil]: filter for the type of retrieved PixKeys. Options: &quot;cpf&quot;, &quot;cnpj&quot;, &quot;phone&quot;, &quot;email&quot;, &quot;evp&quot;. :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of PixKey structs with updated attributes","ref":"StarkInfra.PixKey.html#query/1","title":"StarkInfra.PixKey.query/1","type":"function"},{"doc":"Same as update(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixKey.html#update!/3","title":"StarkInfra.PixKey.update!/3","type":"function"},{"doc":"Update a PixKey parameters by passing id. Parameters (required): :id [string]: PixKey id. ex: '5656565656565656' :reason [string]: reason why the PixKey is being patched. Options: &quot;branchTransfer&quot;, &quot;reconciliation&quot; or &quot;userRequested&quot;. Parameters (optional): :account_created [Date, DateTime or string, default nil]: opening Date or DateTime for the account to be linked. ex: &quot;2022-01-01. :account_number [string, default nil]: number of the account to be linked. ex: &quot;76543&quot;. :account_type [string, default nil]: type of the account to be linked. Options: &quot;checking&quot;, &quot;savings&quot;, &quot;salary&quot; or &quot;payment&quot;. :branch_code [string, default nil]: branch code of the account to be linked. ex: 1234&quot;. :name [string, default nil]: holder's name of the account to be linked. ex: &quot;Jamie Lannister&quot;. Return: PixKey with updated attributes","ref":"StarkInfra.PixKey.html#update/3","title":"StarkInfra.PixKey.update/3","type":"function"},{"doc":"","ref":"StarkInfra.PixKey.html#t:t/0","title":"StarkInfra.PixKey.t/0","type":"type"},{"doc":"Groups PixKey.Log related functions","ref":"StarkInfra.PixKey.Log.html","title":"StarkInfra.PixKey.Log","type":"module"},{"doc":"Every time a PixKey entity is modified, a corresponding PixKey.Log is generated for the entity. This log is never generated by the user. Attributes: :id [string]: unique id returned when the log is created. ex: &quot;5656565656565656&quot; :created [DateTime]: creation datetime for the log. ex: ~U[2020-3-10 10:30:0:0] :type [string]: type of the PixKey event which triggered the log creation. ex: &quot;created&quot;, &quot;registered&quot;, &quot;updated&quot;, &quot;failed&quot;, &quot;canceling&quot; and &quot;canceled&quot;. :errors [list of strings]: list of errors linked to this PixKey event :key [PixKey]: PixKey entity to which the log refers to.","ref":"StarkInfra.PixKey.Log.html#__struct__/0","title":"StarkInfra.PixKey.Log.__struct__/0","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixKey.Log.html#get!/2","title":"StarkInfra.PixKey.Log.get!/2","type":"function"},{"doc":"Receive a single PixKey.Log struct previously created by the Stark Infra API by its id Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixKey.Log struct with updated attributes","ref":"StarkInfra.PixKey.Log.html#get/2","title":"StarkInfra.PixKey.Log.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixKey.Log.html#page!/1","title":"StarkInfra.PixKey.Log.page!/1","type":"function"},{"doc":"Receive a list of up to 100 PixKey.Log structs previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your keys. Options: :cursor [binary, default nil]: cursor returned on the previous page function call :ids [list of strings, default nil]: Log ids to filter PixKey Logs. ex: [&quot;5656565656565656&quot;] :limit [integer, default 100]: maximum number of structs to be retrieved. Max = 100. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020, 3, 10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020, 3, 10] :types [list of strings, default nil]: filter retrieved structs by types. ex: [&quot;created&quot;] or [&quot;failed&quot;] :key_ids [list of strings, default nil]: list of PixKey IDs to filter retrieved objects. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of PixKey.Log structs with updated attributes cursor to retrieve the next page of PixKey.Log objects","ref":"StarkInfra.PixKey.Log.html#page/1","title":"StarkInfra.PixKey.Log.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixKey.Log.html#query!/1","title":"StarkInfra.PixKey.Log.query!/1","type":"function"},{"doc":"Receive a stream of PixKey.Log structs previously created in the Stark Infra API Options: :ids [list of strings, default nil]: Log ids to filter PixKey Logs. ex: [&quot;5656565656565656&quot;] :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created after specified date. ex: ~D[2020, 3, 10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020, 3, 10] :types [list of strings, default nil]: filter retrieved structs by types. ex: [&quot;created&quot;] or [&quot;failed&quot;] :key_ids [list of strings, default nil]: list of PixKey IDs to filter retrieved objects. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of PixKey.Log structs with updated attributes","ref":"StarkInfra.PixKey.Log.html#query/1","title":"StarkInfra.PixKey.Log.query/1","type":"function"},{"doc":"","ref":"StarkInfra.PixKey.Log.html#resource_maker/1","title":"StarkInfra.PixKey.Log.resource_maker/1","type":"function"},{"doc":"","ref":"StarkInfra.PixKey.Log.html#t:t/0","title":"StarkInfra.PixKey.Log.t/0","type":"type"},{"doc":"Groups PixRequest related functions","ref":"StarkInfra.PixRequest.html","title":"StarkInfra.PixRequest","type":"module"},{"doc":"PixRequests are used to receive or send instant payments to accounts hosted in any Pix participant. When you initialize a PixRequest, the entity will not be automatically created in the Stark Infra API. The 'create' function sends the structs to the Stark Infra API and returns the list of created structs. Parameters (required): :amount [integer]: amount in cents to be transferred. ex: 11234 (= R$ 112.34) :external_id [string]: string that must be unique among all your PixRequests. Duplicated external IDs will cause failures. By default, this parameter will block any PixRequests that repeats amount and receiver information on the same date. ex: &quot;my-internal-id-123456&quot; :sender_name [string]: sender's full name. ex: &quot;Edward Stark&quot; :sender_tax_id [string]: sender's tax ID (CPF or CNPJ) with or without formatting. ex: &quot;01234567890&quot; or &quot;20.018.183/0001-80&quot; :sender_branch_code [string]: sender's bank account branch code. Use '-' in case there is a verifier digit. ex: &quot;1357-9&quot; :sender_account_number [string]: sender's bank account number. Use '-' before the verifier digit. ex: &quot;876543-2&quot; :sender_account_type [string, default &quot;checking&quot;]: sender's bank account type. ex: &quot;checking&quot;, &quot;savings&quot;, &quot;salary&quot; or &quot;payment&quot; :receiver_name [string]: receiver's full name. ex: &quot;Edward Stark&quot; :receiver_tax_id [string]: receiver's tax ID (CPF or CNPJ) with or without formatting. ex: &quot;01234567890&quot; or &quot;20.018.183/0001-80&quot; :receiver_bank_code [string]: receiver's bank institution code in Brazil. ex: &quot;20018183&quot; :receiver_account_number [string]: receiver's bank account number. Use '-' before the verifier digit. ex: &quot;876543-2&quot; :receiver_branch_code [string]: receiver's bank account branch code. Use '-' in case there is a verifier digit. ex: &quot;1357-9&quot; :receiver_account_type [string]: receiver's bank account type. ex: &quot;checking&quot;, &quot;savings&quot;, &quot;salary&quot; or &quot;payment&quot; :end_to_end_id [string]: central bank's unique transaction ID. ex: &quot;E79457883202101262140HHX553UPqeq&quot; Parameters (optional): :receiver_key_id [string, default nil]: receiver's dict key. ex: &quot;20.018.183/0001-80&quot; :description [string, default nil]: optional description to override default description to be shown in the bank statement. ex: &quot;Payment for service #1234&quot; :reconciliation_id [string, default nil]: Reconciliation ID linked to this payment. ex: &quot;b77f5236-7ab9-4487-9f95-66ee6eaf1781&quot; :initiator_tax_id [string, default nil]: Payment initiator's tax id (CPF/CNPJ). ex: &quot;01234567890&quot; or &quot;20.018.183/0001-80&quot; :cash_amount [integer, default nil]: Amount to be withdrawal from the cashier in cents. ex: 1000 (= R$ 10.00) :cashier_bank_code [string, default nil]: Cashier's bank code. ex: &quot;00000000&quot; :cashier_type [string, default nil]: Cashier's type. ex: [merchant, other, participant] :tags [list of strings, default nil]: list of strings for reference when searching for PixRequests. ex: [&quot;employees&quot;, &quot;monthly&quot;] :method [string, default nil]: execution method for thr creation of the PIX. ex: &quot;manual&quot;, &quot;payerQrcode&quot;, &quot;dynamicQrcode&quot;. Attributes (return-only): :id [string]: unique id returned when the PixRequest is created. ex: &quot;5656565656565656&quot; :fee [integer]: fee charged when PixRequest is paid. ex: 200 (= R$ 2.00) :status [string]: current PixRequest status. Options: “created”, “processing”, “success”, “failed” :flow [string]: direction of money flow. ex: &quot;in&quot; or &quot;out&quot; :sender_bank_code [string]: sender's bank institution code in Brazil. ex: &quot;20018183&quot; :created [DateTime]: creation datetime for the PixRequest. ex: ~U[2020-03-10 10:30:0:0] :updated [DateTime]: latest update datetime for the PixRequest. ex: ~U[2020-03-10 10:30:0:0]","ref":"StarkInfra.PixRequest.html#__struct__/0","title":"StarkInfra.PixRequest.__struct__/0","type":"function"},{"doc":"Same as create(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixRequest.html#create!/2","title":"StarkInfra.PixRequest.create!/2","type":"function"},{"doc":"Send a list of PixRequest structs for creation in the Stark Infra API Parameters (required): :requests [list of PixRequest structs]: list of PixRequest structs to be created in the API Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of PixRequest structs with updated attributes","ref":"StarkInfra.PixRequest.html#create/2","title":"StarkInfra.PixRequest.create/2","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixRequest.html#get!/2","title":"StarkInfra.PixRequest.get!/2","type":"function"},{"doc":"Receive a single PixRequest struct previously created in the Stark Infra API by its id Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixRequest struct with updated attributes","ref":"StarkInfra.PixRequest.html#get/2","title":"StarkInfra.PixRequest.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixRequest.html#page!/1","title":"StarkInfra.PixRequest.page!/1","type":"function"},{"doc":"Receive a list of up to 100 PixRequest structs previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your requests. Options: :cursor [string, default nil]: cursor returned on the previous page function call :limit [integer, default 100]: maximum number of structs to be retrieved. Max = 100. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020, 3, 10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020, 3, 10] :status [list of strings, default nil]: filter for status of retrieved structs. Options: “created”, “processing”, “success”, “failed” :tags [list of strings, default nil]: tags to filter retrieved structs. ex: [&quot;tony&quot;, &quot;stark&quot;] :ids [list of strings, default nil]: list of ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :end_to_end_ids [list of strings, default nil]: central bank's unique transaction IDs. ex: [&quot;E79457883202101262140HHX553UPqeq&quot;, &quot;E79457883202101262140HHX553UPxzx&quot;] :external_ids [list of strings, default nil]: url safe strings that must be unique among all your PixRequests. Duplicated external IDs will cause failures. By default, this parameter will block any PixRequests that repeats amount and receiver information on the same date. ex: [&quot;my-internal-id-123456&quot;, &quot;my-internal-id-654321&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. ## Return: list of PixRequest structs with updated attributes cursor to retrieve the next page of PixRequest structs","ref":"StarkInfra.PixRequest.html#page/1","title":"StarkInfra.PixRequest.page/1","type":"function"},{"doc":"Same as parse(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixRequest.html#parse!/1","title":"StarkInfra.PixRequest.parse!/1","type":"function"},{"doc":"Create a single PixRequest struct from a content string received from a handler listening at the request url. If the provided digital signature does not check out with the StarkInfra public key, a starkinfra.error.InvalidSignatureError will be raised. Parameters (required): :content [string]: response content from request received at user endpoint (not parsed) :signature [string]: base-64 digital signature received at response header &quot;Digital-Signature&quot; Options: cache_pid [PID, default nil]: PID of the process that holds the public key cache, returned on previous parses. If not provided, a new cache process will be generated. :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: Parsed PixRequest object","ref":"StarkInfra.PixRequest.html#parse/1","title":"StarkInfra.PixRequest.parse/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixRequest.html#query!/1","title":"StarkInfra.PixRequest.query!/1","type":"function"},{"doc":"Receive a stream of PixRequest structs previously created in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020, 3, 10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020, 3, 10] :status [list of strings, default nil]: filter for status of retrieved structs. Options: “created”, “processing”, “success”, “failed” :tags [list of strings, default nil]: tags to filter retrieved structs. ex: [&quot;tony&quot;, &quot;stark&quot;] :ids [list of strings, default nil]: list of ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :end_to_end_ids [list of strings, default nil]: central bank's unique transaction IDs. ex: [&quot;E79457883202101262140HHX553UPqeq&quot;, &quot;E79457883202101262140HHX553UPxzx&quot;] :external_ids [list of strings, default nil]: url safe strings that must be unique among all your PixRequests. Duplicated external IDs will cause failures. By default, this parameter will block any PixRequests that repeats amount and receiver information on the same date. ex: [&quot;my-internal-id-123456&quot;, &quot;my-internal-id-654321&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of PixRequest structs with updated attributes","ref":"StarkInfra.PixRequest.html#query/1","title":"StarkInfra.PixRequest.query/1","type":"function"},{"doc":"","ref":"StarkInfra.PixRequest.html#t:t/0","title":"StarkInfra.PixRequest.t/0","type":"type"},{"doc":"Groups PixRequest.Log related functions","ref":"StarkInfra.PixRequest.Log.html","title":"StarkInfra.PixRequest.Log","type":"module"},{"doc":"Every time a PixRequest entity is modified, a corresponding PixRequest.Log is generated for the entity. This log is never generated by the user. Attributes: :id [string]: unique id returned when the log is created. ex: &quot;5656565656565656&quot; :created [DateTime]: creation datetime for the log. ex: ~U[2020-3-10 10:30:0:0] :type [string]: type of the PixRequest event which triggered the log creation. Options: “sent”, “denied”, “failed”, “created”, “success”, “approved”, “credited”, “refunded”, “processing”. :errors [list of strings]: list of errors linked to this PixRequest event :request [PixRequest]: PixRequest entity to which the log refers to.","ref":"StarkInfra.PixRequest.Log.html#__struct__/0","title":"StarkInfra.PixRequest.Log.__struct__/0","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixRequest.Log.html#get!/2","title":"StarkInfra.PixRequest.Log.get!/2","type":"function"},{"doc":"Receive a single PixRequest.Log struct previously created by the Stark Infra API by its id Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixRequest.Log struct with updated attributes","ref":"StarkInfra.PixRequest.Log.html#get/2","title":"StarkInfra.PixRequest.Log.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixRequest.Log.html#page!/1","title":"StarkInfra.PixRequest.Log.page!/1","type":"function"},{"doc":"Receive a list of up to 100 PixRequest.Log structs previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your requests. Options: :cursor [string, default nil]: cursor returned on the previous page function call :limit [integer, default 100]: maximum number of structs to be retrieved. Max = 100. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020, 3, 10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020, 3, 10] :types [list of strings, default nil]: filter retrieved structs by types. Options: “sent”, “denied”, “failed”, “created”, “success”, “approved”, “credited”, “refunded”, “processing”. :request_ids [list of strings, default nil]: list of PixRequest IDs to filter retrieved objects. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :reconciliation_id [string]: PixRequest reconciliation id to filter retrieved objects. ex: &quot;b77f5236-7ab9-4487-9f95-66ee6eaf1781&quot; :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of PixRequest.Log structs with updated attributes cursor to retrieve the next page of PixRequest.Log objects","ref":"StarkInfra.PixRequest.Log.html#page/1","title":"StarkInfra.PixRequest.Log.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixRequest.Log.html#query!/1","title":"StarkInfra.PixRequest.Log.query!/1","type":"function"},{"doc":"Receive a stream of PixRequest.Log structs previously created in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020, 3, 10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020, 3, 10] :types [list of strings, default nil]: filter retrieved structs by types. Options: &quot;sent&quot;, &quot;denied&quot;, &quot;failed&quot;, &quot;created&quot;, &quot;success&quot;, &quot;approved&quot;, &quot;credited&quot;, &quot;refunded&quot;, &quot;processing&quot;. :request_ids [list of strings, default nil]: list of PixRequest ids to filter retrieved objects. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :reconciliation_id [string]: PixRequest reconciliation id to filter retrieved objects. ex: &quot;b77f5236-7ab9-4487-9f95-66ee6eaf1781&quot; :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of PixRequest.Log structs with updated attributes","ref":"StarkInfra.PixRequest.Log.html#query/1","title":"StarkInfra.PixRequest.Log.query/1","type":"function"},{"doc":"","ref":"StarkInfra.PixRequest.Log.html#t:t/0","title":"StarkInfra.PixRequest.Log.t/0","type":"type"},{"doc":"Groups PixReversal related functions","ref":"StarkInfra.PixReversal.html","title":"StarkInfra.PixReversal","type":"module"},{"doc":"PixReversals are instant payments used to revert PixReversals. You can only revert inbound PixReversals. When you initialize a PixReversal, the entity will not be automatically created in the Stark Infra API. The 'create' function sends the objects to the Stark Infra API and returns the list of created objects. Parameters (required): :amount [integer]: amount in cents to be reversed from the PixReversal. ex: 1234 (= R$ 12.34) :external_id [string]: string that must be unique among all your PixReversals. Duplicated external IDs will cause failures. By default, this parameter will block any PixReversal that repeats amount and receiver information on the same date. ex: &quot;my-internal-id-123456&quot; :end_to_end_id [string]: central bank's unique transaction ID. ex: &quot;E79457883202101262140HHX553UPqeq&quot; :reason [string]: reason why the PixReversal is being reversed. Options are &quot;bankError&quot;, &quot;fraud&quot;, &quot;chashierError&quot;, &quot;customerRequest&quot; Parameters (optional): :tags [list of strings, default nil]: list of strings for reference when searching for PixReversals. ex: [&quot;employees&quot;, &quot;monthly&quot;] Attributes (return-only): :id [string]: unique id returned when the PixReversal is created. ex: &quot;5656565656565656&quot;. :return_id [string]: central bank's unique reversal transaction ID. ex: &quot;D20018183202202030109X3OoBHG74wo&quot;. :bank_code [string]: code of the bank institution in Brazil. ex: &quot;20018183&quot; :fee [string]: fee charged by this PixReversal. ex: 200 (= R$ 2.00) :status [string]: current PixReversal status. ex: &quot;registered&quot; or &quot;paid&quot; :flow [string]: direction of money flow. ex: &quot;in&quot; or &quot;out&quot; :created [DateTime]: creation datetime for the PixReversal. ex: ~U[2020-03-10 10:30:0:0] :updated [DateTime]: latest update datetime for the PixReversal. ex: ~U[2020-03-10 10:30:0:0]","ref":"StarkInfra.PixReversal.html#__struct__/0","title":"StarkInfra.PixReversal.__struct__/0","type":"function"},{"doc":"Same as create(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixReversal.html#create!/2","title":"StarkInfra.PixReversal.create!/2","type":"function"},{"doc":"Send a list of PixReversal structs for creation in the Stark Infra API Parameters (required): :reversals [list of PixReversal objects]: list of PixReversal structs to be created in the API Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of PixReversal structs with updated attributes","ref":"StarkInfra.PixReversal.html#create/2","title":"StarkInfra.PixReversal.create/2","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixReversal.html#get!/2","title":"StarkInfra.PixReversal.get!/2","type":"function"},{"doc":"Receive a single PixReversal struct previously created in the Stark Infra API by its id Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixReversal struct with updated attributes","ref":"StarkInfra.PixReversal.html#get/2","title":"StarkInfra.PixReversal.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixReversal.html#page!/1","title":"StarkInfra.PixReversal.page!/1","type":"function"},{"doc":"Receive a list of up to 100 PixReversal structs previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your reversals. Options: :cursor [string, default nil]: cursor returned on the previous page function call :limit [integer, default 100]: maximum number of structs to be retrieved. Max = 100. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020, 3, 10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020, 3, 10] :status [list of strings, default nil]: filter for status of retrieved objects. Options: “created”, “processing”, “success”, “failed” :tags [list of strings, default nil]: tags to filter retrieved objects. ex: [&quot;tony&quot;, &quot;stark&quot;] :ids [list of strings, default nil]: list of ids to filter retrieved objects. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :return_ids [list of strings, default nil]: central bank's unique reversal transaction ID. ex: [&quot;D20018183202202030109X3OoBHG74wo&quot;, &quot;D20018183202202030109X3OoBHG72rd&quot;]. :external_ids [list of strings, default nil]: url safe string that must be unique among all your PixReversals. Duplicated external IDs will cause failures. By default, this parameter will block any PixReversal that repeats amount and receiver information on the same date. ex: [&quot;my-internal-id-123456&quot;, &quot;my-internal-id-654321&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of PixReversal structs with updated attributes cursor to retrieve the next page of PixReversal objects","ref":"StarkInfra.PixReversal.html#page/1","title":"StarkInfra.PixReversal.page/1","type":"function"},{"doc":"Same as parse(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixReversal.html#parse!/1","title":"StarkInfra.PixReversal.parse!/1","type":"function"},{"doc":"Create a single PixReversal struct from a content string received from a handler listening at the request url. If the provided digital signature does not check out with the StarkInfra public key, a starkinfra.error.InvalidSignatureError will be raised. Parameters (required): :content [string]: response content from request received at user endpoint (not parsed) :signature [string]: base-64 digital signature received at response header &quot;Digital-Signature&quot; Options: cache_pid [PID, default nil]: PID of the process that holds the public key cache, returned on previous parses. If not provided, a new cache process will be generated. :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: Parsed PixReversal object","ref":"StarkInfra.PixReversal.html#parse/1","title":"StarkInfra.PixReversal.parse/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixReversal.html#query!/1","title":"StarkInfra.PixReversal.query!/1","type":"function"},{"doc":"Receive a stream of PixReversal structs previously created in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020, 3, 10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020, 3, 10] :status [list of strings, default nil]: filter for status of retrieved objects. Options: “created”, “processing”, “success”, “failed” :tags [list of strings, default nil]: tags to filter retrieved objects. ex: [&quot;tony&quot;, &quot;stark&quot;] :ids [list of strings, default nil]: list of ids to filter retrieved objects. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :return_ids [list of strings, default nil]: central bank's unique reversal transaction IDs. ex: [&quot;D20018183202202030109X3OoBHG74wo&quot;, &quot;D20018183202202030109X3OoBHG72rd&quot;]. :external_ids [list of strings, default nil]: url safe strings that must be unique among all your PixReversals. Duplicated external IDs will cause failures. By default, this parameter will block any PixReversal that repeats amount and receiver information on the same date. ex: [&quot;my-internal-id-123456&quot;, &quot;my-internal-id-654321&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of PixReversal structs with updated attributes","ref":"StarkInfra.PixReversal.html#query/1","title":"StarkInfra.PixReversal.query/1","type":"function"},{"doc":"","ref":"StarkInfra.PixReversal.html#t:t/0","title":"StarkInfra.PixReversal.t/0","type":"type"},{"doc":"Groups PixReversal.Log related functions","ref":"StarkInfra.PixReversal.Log.html","title":"StarkInfra.PixReversal.Log","type":"module"},{"doc":"Every time a PixReversal entity is modified, a corresponding PixReversal.Log is generated for the entity. This log is never generated by the user. Attributes: :id [string]: unique id returned when the log is created. ex: &quot;5656565656565656&quot; :created [DateTime]: creation datetime for the log. ex: ~U[2020-3-10 10:30:0:0] :type [string]: type of the PixReversal event which triggered the log creation. ex: &quot;registered&quot; or &quot;paid&quot; :errors [string]: list of errors linked to this PixReversal event :reversal [PixReversal struct]: PixReversal entity to which the log refers to.","ref":"StarkInfra.PixReversal.Log.html#__struct__/0","title":"StarkInfra.PixReversal.Log.__struct__/0","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixReversal.Log.html#get!/2","title":"StarkInfra.PixReversal.Log.get!/2","type":"function"},{"doc":"Receive a single PixReversal.Log struct previously created by the Stark Infra API by its id Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixReversal.Log struct with updated attributes","ref":"StarkInfra.PixReversal.Log.html#get/2","title":"StarkInfra.PixReversal.Log.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixReversal.Log.html#page!/1","title":"StarkInfra.PixReversal.Log.page!/1","type":"function"},{"doc":"Receive a list of up to 100 PixReversal.Log structs previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your reversals. Options: :cursor [string, default nil]: cursor returned on the previous page function call :limit [integer, default 100]: maximum number of structs to be retrieved. Max = 100. ex: 35 :after [Date or string, default nil]: date filter for structs created after a specified date. ex: ~D[2020, 3, 10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020, 3, 10] :types [string], default nil]: filter retrieved structs by types. Options: “sent”, “denied”, “failed”, “created”, “success”, “approved”, “credited”, “refunded”, “processing”. :reversal_ids [string], default nil]: list of PixReversal IDs to filter retrieved objects. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of PixReversal.Log structs with updated attributes cursor to retrieve the next page of PixRequest.Log objects","ref":"StarkInfra.PixReversal.Log.html#page/1","title":"StarkInfra.PixReversal.Log.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixReversal.Log.html#query!/1","title":"StarkInfra.PixReversal.Log.query!/1","type":"function"},{"doc":"Receive a stream of PixReversal.Log structs previously created in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :after [Date or string, default nil]: date filter for structs created after specified date. ex: ~D[2020, 3, 10] :before [Date or string, default nil]: date filter for structs created before a specified date. ex: ~D[2020, 3, 10] :types [string], default nil]: filter retrieved structs by types. Options: &quot;sent&quot;, &quot;denied&quot;, &quot;failed&quot;, &quot;created&quot;, &quot;success&quot;, &quot;approved&quot;, &quot;credited&quot;, &quot;refunded&quot;, &quot;processing&quot;. :reversal_ids [string], default nil]: list of PixReversal IDs to filter retrieved objects. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of PixReversal.Log structs with updated attributes","ref":"StarkInfra.PixReversal.Log.html#query/1","title":"StarkInfra.PixReversal.Log.query/1","type":"function"},{"doc":"","ref":"StarkInfra.PixReversal.Log.html#t:t/0","title":"StarkInfra.PixReversal.Log.t/0","type":"type"},{"doc":"Groups PixStatement related functions","ref":"StarkInfra.PixStatement.html","title":"StarkInfra.PixStatement","type":"module"},{"doc":"The PixStatement struct stores information about all the transactions that happened on a specific day at your settlment account according to the Central Bank. It must be created by the user before it can be accessed. This feature is only available for direct participants. When you initialize a PixStatement, the entity will not be automatically created in the Stark Infra API. The 'create' function sends the structs to the Stark Infra API and returns the created struct. Parameters (required): :after [Date]: transactions that happened at this date are stored in the PixStatement, must be the same as before. ex: ~D[2020, 3, 10] :before [Date]: transactions that happened at this date are stored in the PixStatement, must be the same as after. ex: ~D[2020, 3, 10] :type [string]: types of entities to include in statement. Options: [&quot;interchange&quot;, &quot;interchangeTotal&quot;, &quot;transaction&quot;] Attributes (return-only): :id [string]: unique id returned when the PixStatement is created. ex: &quot;5656565656565656&quot; :status [string]: current PixStatement status. ex: [&quot;success&quot;, &quot;failed&quot;] :transaction_count [integer]: number of transactions that happened during the day that the PixStatement was requested. ex: 11 :created [DateTime]: creation datetime for the PixStatement. ex: ~U[2020-03-10 10:30:0:0] :updated [DateTime]: latest update datetime for the PixStatement. ex: ~U[2020-03-10 10:30:0:0]","ref":"StarkInfra.PixStatement.html#__struct__/0","title":"StarkInfra.PixStatement.__struct__/0","type":"function"},{"doc":"Same as create(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixStatement.html#create!/2","title":"StarkInfra.PixStatement.create!/2","type":"function"},{"doc":"Create a PixStatement linked to your Workspace in the Stark Infra API Options: :statement [PixStatement struct]: PixStatement struct to be created in the API. Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixStatement struct with updated attributes.","ref":"StarkInfra.PixStatement.html#create/2","title":"StarkInfra.PixStatement.create/2","type":"function"},{"doc":"Same as csv(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixStatement.html#csv!/2","title":"StarkInfra.PixStatement.csv!/2","type":"function"},{"doc":"Retrieve a specific PixStatement by its ID in a .csv file. Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: .zip file containing a PixStatement in .csv format","ref":"StarkInfra.PixStatement.html#csv/2","title":"StarkInfra.PixStatement.csv/2","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixStatement.html#get!/2","title":"StarkInfra.PixStatement.get!/2","type":"function"},{"doc":"Retrieve the PixStatement struct linked to your Workspace in the Stark Infra API by its id. Parameters (required): :id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: PixStatement struct that corresponds to the given id.","ref":"StarkInfra.PixStatement.html#get/2","title":"StarkInfra.PixStatement.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixStatement.html#page!/1","title":"StarkInfra.PixStatement.page!/1","type":"function"},{"doc":"Receive a list of up to 100 PixStatements structs previously created in the Stark Infra API Options: :cursor [string, default nil]: cursor returned on the previous page function call :limit [integer, default 100]: maximum number of structs to be retrieved. Max = 100. ex: 35 :ids [list of strings, default nil]: list of ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of PixStatement structs with updated attributes cursor to retrieve the next page of PixStatement structs","ref":"StarkInfra.PixStatement.html#page/1","title":"StarkInfra.PixStatement.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.PixStatement.html#query!/1","title":"StarkInfra.PixStatement.query!/1","type":"function"},{"doc":"Receive a stream of PixStatements structs previously created in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :ids [list of strings, default nil]: list of ids to filter retrieved structs. ex: [&quot;5656565656565656&quot;, &quot;4545454545454545&quot;] :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of PixStatement structs with updated attributes","ref":"StarkInfra.PixStatement.html#query/1","title":"StarkInfra.PixStatement.query/1","type":"function"},{"doc":"","ref":"StarkInfra.PixStatement.html#t:t/0","title":"StarkInfra.PixStatement.t/0","type":"type"},{"doc":"","ref":"StarkInfra.Utils.BacenId.html","title":"StarkInfra.Utils.BacenId","type":"module"},{"doc":"","ref":"StarkInfra.Utils.BacenId.html#create/1","title":"StarkInfra.Utils.BacenId.create/1","type":"function"},{"doc":"","ref":"StarkInfra.Utils.EndToEndId.html","title":"StarkInfra.Utils.EndToEndId","type":"module"},{"doc":"","ref":"StarkInfra.Utils.EndToEndId.html#create/1","title":"StarkInfra.Utils.EndToEndId.create/1","type":"function"},{"doc":"","ref":"StarkInfra.Utils.ReturnId.html","title":"StarkInfra.Utils.ReturnId","type":"module"},{"doc":"","ref":"StarkInfra.Utils.ReturnId.html#create/1","title":"StarkInfra.Utils.ReturnId.create/1","type":"function"},{"doc":"Groups Webhook related functions","ref":"StarkInfra.Webhook.html","title":"StarkInfra.Webhook","type":"module"},{"doc":"A Webhook is used to subscribe to notification events on a user-selected endpoint. Currently available services for subscription are contract, credit-note, signer, issuing-card, issuing-invoice, issuing-purchase, pix-request.in, pix-request.out, pix-reversal.in, pix-reversal.out, pix-claim, pix-key, pix-chargeback, pix-infraction. Parameters (required): :url [string]: Url that will be notified when an event occurs. :subscriptions [list of strings]: list of any non-empty combination of the available services. ex: [&quot;contract&quot;, &quot;credit-note&quot;, &quot;signer&quot;, &quot;issuing-card&quot;, &quot;issuing-invoice&quot;, &quot;issuing-purchase&quot;, &quot;pix-request.in&quot;, &quot;pix-request.out&quot;, &quot;pix-reversal.in&quot;, &quot;pix-reversal.out&quot;, &quot;pix-claim&quot;, &quot;pix-key&quot;, &quot;pix-chargeback&quot;, &quot;pix-infraction&quot;] Attributes: :id [string, default nil]: unique id returned when the webhook is created. ex: &quot;5656565656565656&quot;","ref":"StarkInfra.Webhook.html#__struct__/0","title":"StarkInfra.Webhook.__struct__/0","type":"function"},{"doc":"Same as create(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.Webhook.html#create!/1","title":"StarkInfra.Webhook.create!/1","type":"function"},{"doc":"Send a single Webhook subscription for creation in the Stark Infra API Parameters (required): :url [string]: url to which notification events will be sent to. ex: &quot; https://webhook.site/60e9c18e-4b5c-4369-bda1-ab5fcd8e1b29&quot; :subscriptions [list of strings]: list of any non-empty combination of the available services. ex: [&quot;contract&quot;, &quot;credit-note&quot;, &quot;signer&quot;, &quot;issuing-card&quot;, &quot;issuing-invoice&quot;, &quot;issuing-purchase&quot;, &quot;pix-request.in&quot;, &quot;pix-request.out&quot;, &quot;pix-reversal.in&quot;, &quot;pix-reversal.out&quot;, &quot;pix-claim&quot;, &quot;pix-key&quot;, &quot;pix-chargeback&quot;, &quot;pix-infraction&quot;] Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: Webhook struct with updated attributes","ref":"StarkInfra.Webhook.html#create/1","title":"StarkInfra.Webhook.create/1","type":"function"},{"doc":"Same as delete(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.Webhook.html#delete!/2","title":"StarkInfra.Webhook.delete!/2","type":"function"},{"doc":"Delete a Webhook subscription entity previously created in the Stark Infra API Parameters (required): id [string]: Webhook unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: deleted Webhook struct","ref":"StarkInfra.Webhook.html#delete/2","title":"StarkInfra.Webhook.delete/2","type":"function"},{"doc":"Same as get(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.Webhook.html#get!/2","title":"StarkInfra.Webhook.get!/2","type":"function"},{"doc":"Receive a single Webhook subscription struct previously created in the Stark Infra API by passing its id Parameters (required): id [string]: struct unique id. ex: &quot;5656565656565656&quot; Options: :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: Webhook struct with updated attributes","ref":"StarkInfra.Webhook.html#get/2","title":"StarkInfra.Webhook.get/2","type":"function"},{"doc":"Same as page(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.Webhook.html#page!/1","title":"StarkInfra.Webhook.page!/1","type":"function"},{"doc":"Receive a list of up to 100 Webhook objects previously created in the Stark Infra API and the cursor to the next page. Use this function instead of query if you want to manually page your requests. Options: :cursor [string, default nil]: cursor returned on the previous page function call :limit [integer, default 100]: maximum number of structs to be retrieved. Max = 100. ex: 35 :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: list of Webhook structs with updated attributes cursor to retrieve the next page of Webhook objects","ref":"StarkInfra.Webhook.html#page/1","title":"StarkInfra.Webhook.page/1","type":"function"},{"doc":"Same as query(), but it will unwrap the error tuple and raise in case of errors.","ref":"StarkInfra.Webhook.html#query!/1","title":"StarkInfra.Webhook.query!/1","type":"function"},{"doc":"Receive a stream of Webhook subcription structs previously created in the Stark Infra API Options: :limit [integer, default nil]: maximum number of structs to be retrieved. Unlimited if nil. ex: 35 :user [Organization/Project, default nil]: Organization or Project struct returned from StarkInfra.project(). Only necessary if default project or organization has not been set in configs. Return: stream of Webhook structs with updated attributes","ref":"StarkInfra.Webhook.html#query/1","title":"StarkInfra.Webhook.query/1","type":"function"},{"doc":"","ref":"StarkInfra.Webhook.html#t:t/0","title":"StarkInfra.Webhook.t/0","type":"type"}]